Index: /branches/2.4/language/bg_BG/admin.lang.php
===================================================================
--- /branches/2.4/language/bg_BG/admin.lang.php	(revision 19465)
+++ /branches/2.4/language/bg_BG/admin.lang.php	(revision 19466)
@@ -501,7 +501,7 @@
 $lang['jump to album'] = 'директно към албума';
 $lang['jump to photo'] = 'директно към снимката';
-$lang['global mode'] = 'глобален режим';
-$lang['for this file format'] = 'за този формат файл';
-$lang['for the file format'] = 'за формат на файла';
+$lang['global mode'] = 'глобален начин';
+$lang['for this file format'] = 'за този файлов формат';
+$lang['for the file format'] = 'за файлов формат';
 $lang['display'] = 'екран';
 $lang['number of miniaturized photos'] = 'брой на създадените миниатюри';
@@ -594,3 +594,51 @@
 $lang['This site already exists'] = 'Сайта вече съществува';
 $lang['leave'] = 'оставяне';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo за Android</em> приложение ви позволява да свържете вашия Android телефон или таблица, с вашата галерия Piwigo,и да създавате няколко албума или да качване няколко снимки наведнъж.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em> Piwigo за IOS </ EM> приложението, което дава възможност да се свържете към вашата галерия Piwigo от вашия iPhone, IPAD или IPod Touch,и да създаване няколко албума или да качване няколко снимки наведнъж.';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom е фотографски софтуер, предназначени за управление на големи количества цифрови изображения и публикуването им след редактирането.';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Възникнала е грешка по време на извличането.Моля,проверете файловите разрешения на вашата Piwigo инсталация.<br><a href="%s">Кликнете тук за да видите грешката</a>.';
+$lang['An error has occured during upgrade.'] = 'Възникнала е грешка по време на ъпгрейд.';
+$lang['An error occured during extraction (%s).'] = 'Възникнала е грешка по време на файловата(%s)екстракция.';
+$lang['An information email was sent to group "%s"'] = 'Информационен имейл, изпратен към групата"%s"';
+$lang['Anyway only webmasters can see this tab and never administrators.'] = 'Както и да е само уебмастъри могат да видят този раздел, не администраторите.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture е мощен инструмент за обработка на изображения и управление на огромни библиотеки на Mac.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture е предназначена за професионални фотографи с iPhoto.';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Приблизително максимална резолюция: %dM пиксела (това  %dx%d пиксела).';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Сигурен ли сте, че искате да инсталирате този ъпгрейд?Трябва да се провери дали тази версия не се нуждае от предварително деинсталиране.';
+$lang['Are you sure you want to delete this plugin?'] = 'Сигурен ли сте, че искате да изтриете този плъгин?';
+$lang['Are you sure you want to install this plugin?'] = 'Сигурен ли сте, че искате да инсталирате този плъгин?';
+$lang['Authorize users to add comments on selected albums'] = 'Разрешаване на потребителите да добавят коментари в избрани албуми';
+$lang['Automatic sort order'] = 'Автоматично подреждане';
+$lang['Bound Theme'] = 'Bound Тема';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'По подразбиране, Piwigo ще създаде нов уебразмер от HD (висока разделителна способност) версия на снимката.';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'По подразбиране,центъра на интерес се поставя в средата на снимката.';
+$lang['Caddie'] = 'Caddie';
+$lang['between %.2f and %.2f'] = 'между%.2fи%.2f';
+$lang['between %d and %d pixels'] = 'между%dи%dпиксела';
+$lang['delete this site and all its attached elements'] = 'изтрийте този сайт с цялата информация свързана с него';
+$lang['dissociate from group'] = 'разграничи от групата';
+$lang['first photo added on %s'] = 'първа снимка добавена% S';
+$lang['group "%s" added'] = 'група "% S", добави';
+$lang['group "%s" deleted'] = 'групи "%s" изтрити';
+$lang['group "%s" updated'] = 'група "% S" обновена';
+$lang['Caddie management'] = 'Caddie управление';
+$lang['Center of interest'] = 'Център на интереси';
+$lang['Check integrity'] = 'проверка на цялостта';
+$lang['Complementary mail content'] = 'Допълнително към съдържанието на писмото';
+$lang['Continue processing treatment'] = 'Продължаване на провежданото лечение';
+$lang['Correction applied with error'] = 'Корекция се прилага с грешка';
+$lang['Correction applied with success'] = 'Корекцията е успешно приложена';
+$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Коригираните аномалии вече няма да бъдат пренебрегнати';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Създайте директория "% S" в основата на вашата инсталация Piwigo';
+$lang['Default comments order'] = 'Коментари по подразбиране';
+$lang['Default photos order'] = 'Ред на снимки по подразбиране';
+$lang['Delete Representant'] = 'Изтриване умалените албуми';
+$lang['Delete selected tags'] = 'Изтриване на избраните тагове';
+$lang['Delete this language'] = 'Изтриване на този език';
+$lang['Delete this theme'] = 'Изтриване на тази тема';
+$lang['Deleted on'] = 'Изтрити';
+$lang['Deletions'] = 'Изтривания';
+$lang['Detailed informations'] = 'Подробни информации';
+$lang['Dissociate from album'] = 'Разграничаване от албум';
+$lang['Dissociated'] = 'Разграничаване';
 ?>