Index: /extensions/Media_Icon/admin/admin_help.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_help.tpl	(revision 19489)
+++ /extensions/Media_Icon/admin/admin_help.tpl	(revision 19490)
@@ -19,18 +19,4 @@
 	</ul>
 </p>
-<p class="media_icon_help_title">
-	{'Donate'|@translate}
-</p>
-<p class="media_icon_help_content">
-	{'I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.'|@translate}
-</p>
-<div class="media_icon_center">
-	<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
-		<input type="hidden" name="cmd" value="_s-xclick">
-		<input type="hidden" name="hosted_button_id" value="H7JZMTE6MDB8U">
-		<input type="image" src="https://www.paypalobjects.com/en_GB/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal  The safer, easier way to pay online.">
-		<img alt="" border="0" src="https://www.paypalobjects.com/fr_FR/i/scr/pixel.gif" width="1" height="1">
-	</form>
-</div>
 <p class="media_icon_help_title">
 	{'Credits'|@translate}
@@ -85,2 +71,11 @@
 	</ul>
 </p>
+<p class="media_icon_help_title">
+	{'Donate'|@translate}
+</p>
+<p class="media_icon_help_content">
+	{'Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'|@translate}
+</p>
+<p class="media_icon_help_center">
+	<a href="http://fr.piwigo.org/donate" alt="http://fr.piwigo.org/donate">http://www.piwigo.org/donate</a>
+</p>
Index: /extensions/Media_Icon/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/da_DK/plugin.lang.php	(revision 19489)
+++ /extensions/Media_Icon/language/da_DK/plugin.lang.php	(revision 19490)
@@ -85,5 +85,5 @@
 $lang['Files supported: xls, xlsx and ods'] = 'Understøttede filer: xls, xlsx og ods';
 $lang['General'] = 'Generelt';
-$lang['I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.'] = 'Jeg har brugt megen tid på at få denne plugin til at fungere. Hvis den er nyttig for dig, så tøv ikke med at give et bidrag. ;) Tak for din generøsitet.';
+$lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.';
 $lang['Icon style:'] = 'Ikonstil:';
 ?>
Index: /extensions/Media_Icon/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/de_DE/plugin.lang.php	(revision 19489)
+++ /extensions/Media_Icon/language/de_DE/plugin.lang.php	(revision 19490)
@@ -21,5 +21,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.'] = 'Ich verbrachte viel Zeit damit, dieses Plugin funktionsfähig zu machen. Wenn es für Sie nützlich ist, zögern Sie bitte nicht, mit einer Spende. Vielen Dank für Ihre Großzügigkeit.';
+$lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Piwigo ist eine freie Software (Opensource), die Sie jetzt und auch in Zukunft umsonst benützen können. Spenden werden von der Piwigo Foundation (eine gemeinnützige Organisation) gesammelt, um die Projektkosten abdecken zu können.';
 $lang['Information data registered in database'] = 'Informations-Daten in der Datenbank gespeichert';
 $lang['Official logos or Wikipedia:'] = 'Offizielle Logos oder Wikipedia:';
Index: /extensions/Media_Icon/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19489)
+++ /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19490)
@@ -56,5 +56,5 @@
 $lang['The opacity of the icon.'] = 'The opacity of the icon.';
 $lang['Donate'] = 'Donate';
-$lang['I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.'] = 'I spent a lot of time making this plugin work. If it is useful to you, please don\'t hesitate to make a donation ;) Thank you for your generosity.';
+$lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.';
 $lang['Credits'] = 'Credits';
 $lang['The icons are brought to you thanks to:'] = 'The icons are brought to you thanks to:';
Index: /extensions/Media_Icon/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19489)
+++ /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19490)
@@ -56,5 +56,6 @@
 $lang['The opacity of the icon.'] = 'La opacidad del icono.';
 $lang['Donate'] = 'Donar';
-$lang['I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.'] = 'Me pasé un montón de tiempo para hacer esto plugin funcionar. Si esta útil para usted, no dude en ponerse una donación ;) Gracias por su generosidad.';
+$lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Piwigo es un software libre y puedes usarlo de forma totalmente gratuita.
+La organización sin ánimo de lucro Piwigo Foundation hace uso de las donaciones para cubrir los gastos del proyecto.';
 $lang['Credits'] = 'Créditos';
 $lang['The icons are brought to you thanks to:'] = 'Iconos de las siguientes fuentes :';
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19489)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19490)
@@ -56,5 +56,5 @@
 $lang['The opacity of the icon.'] = 'La transparence de l\'icône.';
 $lang['Donate'] = 'Dons';
-$lang['I spent a lot of time to make this plugin works. If it is useful for you, do not hesitate a donation ;) Thank you for your generosity.'] = 'J\'ai passé beaucoup de temps à développer cette extension. Si elle vous est utile, n\'hésitez pas à faire un don ;) Merci pour votre générosité.';
+$lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Piwigo est un logiciel libre, son utilisation est gratuite et le restera. Les dons sont récoltés par l\'association Piwigo (loi 1901, organisation à but non lucratif) pour couvrir les dépenses du projet.';
 $lang['Credits'] = 'Crédits';
 $lang['The icons are brought to you thanks to:'] = 'Les sources des icônes sont les suivantes :';