Index: extensions/Full_Background/template/menubar_categories.tpl
===================================================================
--- extensions/Full_Background/template/menubar_categories.tpl	(revision 19483)
+++ extensions/Full_Background/template/menubar_categories.tpl	(revision 19492)
@@ -1,3 +1,3 @@
-	<span class="dd_wrapper">{'Categories'|@translate}</span>
+	<span class="dd_wrapper">{'Albums'|@translate}</span>
 	
 		<div class="sub" style="width:700px">
Index: extensions/Full_Background/theme.css
===================================================================
--- extensions/Full_Background/theme.css	(revision 19483)
+++ extensions/Full_Background/theme.css	(revision 19492)
@@ -18,5 +18,5 @@
 
 /*======================================================Header======================================================*/
-#theHeader{display:block;position:absolute;right:20px;left: 20px;top:35px;text-align:left;z-index:101;padding:40px 40px 0;margin:0;font-size:15px;text-shadow:3px 3px 1px #000;height:130px}
+#theHeader{display:block;position:absolute;right:20px;left: 20px;top:80px;text-align:left;z-index:101;padding:0 40px 0;margin:0;font-size:15px;text-shadow:3px 3px 1px #000;height:130px}
 #theHeader h1 {text-align:left;font-size:2.5em;display:inline-block;font-family: 'Finger Paint',arial,serif}
 #theHeader p {float:right;font-size:15px;font-family:'PT Sans Narrow',arial,serif;text-transform:uppercase}
@@ -75,14 +75,14 @@
 input:focus{outline-style:none}
 #menubar p{color:#757575}
-#menu{color:#FFF;line-height:30px;text-decoration:none;text-shadow:0 0 2px #000;text-transform:uppercase;height:40px;padding: 5px 0 0}
+#menu{color:#FFF;line-height:30px;text-decoration:none;text-shadow:0 0 2px #000;text-transform:uppercase;height:40px;padding:0}
 #menu a {color:#FFF}
 #menu a:hover{color:#ff8a00}
-span#menu_start{background:none;float:left;display:block;height:30px;width:85px}
+span#menu_start{background:none;float:left;display:block;height:30px;width:85px;margin-top:4px}
 span#menu_start a{background: url("images/menu/home_w.png") no-repeat left top;width:52px;height:32px;text-indent:-9999px;padding:0;margin:0 20px 0 25px;display:block;line-height:46px}
 span#menu_start a:hover{background-position:left -32px}
-ul#topnav{background:none;font-size:1.2em;margin:0;padding:0 2px 0 0;list-style:none outside none;height:30px;position:relative;z-index:999;display:inline-block}
+ul#topnav{background:none;font-size:1.2em;margin:0;padding:0 2px 0 0;list-style:none outside none;height:40px;position:relative;z-index:999;display:inline-block}
 ul#topnav .liSub{background:none;float:left;position:relative;padding-right:2px}
 ul#topnav .liSub:hover{background:#4F4F4F}
-ul#topnav span dt{padding:0 16px;height:35px}
+ul#topnav span dt{padding:0 16px;height:40px;line-height:40px}
 ul#topnav span dt:hover{background:#4f4f4f;color:#ff8a00}
 ul#topnav span dt:hover a{color:#ff8a00}
@@ -100,5 +100,5 @@
 ul#topnav li .sub ul,ul#topnav #loger ul{list-style:none outside none;margin:0 5px 0 8px;padding:0}
 ul#topnav .sub ul li,ul#topnav #loger ul li,ul#topnav .sub #menuTagCloud div{width:95%;color:#757575;background:none repeat scroll 0 0 transparent;font-size:10px;margin-bottom:2px;border-radius:10px 10px 10px 10px}
-ul#topnav li .sub, ul#topnav li #loger{border:1px solid #3f3f3f;border-radius:0;box-shadow:5px 5px 20px #000;background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.8);margin-top: 5px}
+ul#topnav li .sub, ul#topnav li #loger{border:1px solid #3f3f3f;border-radius:0;box-shadow:5px 5px 20px #000;background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.8);margin-top:10px}
 ul#topnav .sub ul li.selected{text-decoration:none;border:none;border-radius:10px 10px 10px 10px}
 ul#topnav .sub ul li.selected a,ul#topnav .sub ul li.selected a:hover{color:#FF8A00;text-decoration:none;border:none}
@@ -108,6 +108,6 @@
 ul#topnav #loger ul li a:hover{color:#ff8a00}
 ul#topnav .sub ul li a:hover,ul#topnav .sub #menuTagCloud div a:hover{color:#FF8A00;background:url(images/menu/navlist_arrow_hover.png) no-repeat 0 5px;text-decoration:none}
-span.dd_wrapper,span.cl_wrapper,span.cc_wrapper,span dt{float:left;padding:0 16px 6px}
-li.liSub:hover span.dd_wrapper,li.liSub:hover span.cl_wrapper,.activate{z-index:100;background:none;color:#FF8A00;padding:0 16px 6px;text-shadow:none}
+span.dd_wrapper,span.cl_wrapper,span.cc_wrapper,span dt{float:left;padding:0 16px 0;line-height:40px}
+li.liSub:hover span.dd_wrapper,li.liSub:hover span.cl_wrapper,.activate{z-index:100;background:none;color:#FF8A00;padding:0 16px 0;text-shadow:none}
 li.liSub:hover span.cc_wrapper{color:#8F8F8F}
 .close{cursor:pointer;height:16px;width:16px;background:url(images/menu/close.png) no-repeat scroll 0 0 transparent;float:right}
@@ -116,7 +116,7 @@
 #search{position:absolute;width:240px;right:0;margin-top:4px;height:22px;display:inline-block}
 #quicksearch{float:left;width:240px}
-#quicksearch input[type=text]{background:#3F3F3F;float:left;width:172px;height:22px;padding:0 0 0 4px;margin:0 1px 0 0;border:0 none;font-size:13px;color:#CCC!important;min-width:0}
+#quicksearch input[type=text]{background:#3F3F3F;float:left;width:172px;height:22px;padding:0 0 0 4px;margin:4px 1px 0 0;border:0 none;font-size:13px;color:#CCC!important;min-width:0}
 #quicksearch input[type=text]:hover{background-position:left bottom}
-#quicksearch input[type=submit]{float:left;padding:0;border:0 none;height:22px;width:23px;background:url(images/menu/search.png) no-repeat;font-size:13px;cursor:pointer;min-width:0;margin-left:2px;border-radius:0 0 0 0;box-shadow:none}
+#quicksearch input[type=submit]{float:left;padding:0;border:0 none;height:22px;width:23px;background:url(images/menu/search.png) no-repeat;font-size:13px;cursor:pointer;min-width:0;margin:4px 2px 0 2px;border-radius:0 0 0 0;box-shadow:none}
 #quicksearch input[type=submit]:hover{background-position:right bottom}
 #loger{line-height:25px;width:220px;position:absolute;top:30px;background:none repeat scroll 0 0 #FFF;padding:10px;float:left;max-width:100em;min-width:200px;display:none;z-index:0}
@@ -180,5 +180,5 @@
 .tf_thumbs img{display:block;max-width:350px;max-height:280px}
 .tf_loading{position:fixed;top:50%;left:50%;margin:-30px 0px 0px -30px;width:80px;height:80px;background: url("images/loading.gif") no-repeat center center;z-index:999;opacity:0.7}
-.tf_next, .tf_prev{width:35px;height:14px;position:absolute;z-index:100;cursor:pointer;background:url("images/nav.png") no-repeat left top;opacity:0.5;right:420px}
+.tf_next, .tf_prev{width:35px;height:14px;position:absolute;z-index:100;cursor:pointer;background:url("images/nav.png") no-repeat left top;right:420px}
 .tf_next{background-position:0 -14px;margin-top:120px}
 .tf_prev{background-position:0 0;margin-top:20px}
@@ -223,3 +223,5 @@
 
 /*============================================Pluggin===================================*/
-#mbContact dd{padding:0!important}
+#mbContact dd{padding:0!important;border:none!important}
+#languageSwitchBox{background:#3f3f3f!important;width:200px;left:-210px;top:-5px;position:absolute;height:25px;overflow-y:auto;border-radius:0;border:none!important}
+.switchBoxTitle{display:none}
Index: extensions/Full_Background/themeconf.inc.php
===================================================================
--- extensions/Full_Background/themeconf.inc.php	(revision 19483)
+++ extensions/Full_Background/themeconf.inc.php	(revision 19492)
@@ -19,17 +19,22 @@
 
 add_event_handler('loc_begin_index', 'modify_nb_thumbnail_page');
-function modify_nb_thumbnail_page()
+if(!function_exists('modify_nb_thumbnail_page'))
 {
-global $user, $page;
-	$user['nb_image_page']=999;
-	$page['nb_image_page']=999;
+	function modify_nb_thumbnail_page()
+	{
+	global $user, $page;
+		$user['nb_image_page']=999;
+		$page['nb_image_page']=999;
+	}
 }
 
 add_event_handler('get_categories_menu_sql_where', 'mic_get_categories_menu_sql_where', EVENT_HANDLER_PRIORITY_NEUTRAL, 3 );
-
-function mic_get_categories_menu_sql_where($where){	
-	global $page;
-		$where = '1';
-	return $where;
+	if(!function_exists('mic_get_categories_menu_sql_where'))
+	{
+	function mic_get_categories_menu_sql_where($where){	
+		global $page;
+			$where = '1';
+		return $where;
+	}
 }
 