Index: /extensions/simple_themes/simple-sunset/fix-ie5-ie6.css
===================================================================
--- /extensions/simple_themes/simple-sunset/fix-ie5-ie6.css	(revision 19507)
+++ /extensions/simple_themes/simple-sunset/fix-ie5-ie6.css	(revision 19508)
@@ -1,8 +1,19 @@
-/* fix for IE */
-#stuffs_block_2 { display:  inline; overflow: hidden;}
-#stuffs_block_2  li{ list-style: none;}
-.content .stuffs_block {display:block;height:150px}
- #the_page {
-  width: 980px;
-}
+/* fix for IE 6 simple sunset*/
+.content .stuffs_block {height:170px}
+#stuffs_block_1,#stuffs_block_2,#stuffs_block_3{height:170px;overflow:hidden;background-color:#222;padding:.5em}
+ 
+.content .middle_block {margin: auto;height:170px}
+#the_page {
+width:998px;
+position:relative;
+margin: auto;
+padding: 0;}
 
+ 
+
+
+
+
+
+
+
Index: /extensions/simple_themes/simple-sunset/index.php
===================================================================
--- /extensions/simple_themes/simple-sunset/index.php	(revision 19507)
+++ /extensions/simple_themes/simple-sunset/index.php	(revision 19508)
Index: /extensions/simple_themes/simple-sunset/mail-css.tpl
===================================================================
--- /extensions/simple_themes/simple-sunset/mail-css.tpl	(revision 19507)
+++ /extensions/simple_themes/simple-sunset/mail-css.tpl	(revision 19508)
Index: /extensions/simple_themes/simple-sunset/theme.css
===================================================================
--- /extensions/simple_themes/simple-sunset/theme.css	(revision 19507)
+++ /extensions/simple_themes/simple-sunset/theme.css	(revision 19508)
@@ -1,18 +1,33 @@
 /*  orginal version -    GRUM: GRAPHITE   author:  grum at grum.dnsalias.com  */
 
-/* Theme Sunset 2.2.a (Gbo)   for template "Simple"   from  Boudle  */
+/* Theme Sunset 2.2.b (Gbo)   for template "Simple"   from  Boudle  */
 
 /* page */
+/* .pwg-icon {
+	display: inline-block; //IE6 does not get this correctly
+	text-indent: -9999px; overflow: hidden; background-repeat: no-repeat;
+	width: 26px; height: 26px; background-image: url(s26/outline_ff7700.png);
+	vertical-align: bottom;
+} */
 
 body {
   background-color: #111;
   color: #666666;
-  font-size:0.82em;
+  font-size:0.80em;
+}
+#theImageAndInfos, #thePicturePage #comments {
+  background-color: #222222;
+  border-top: 2px solid #555555;
 }
 
-#content {
-  background-color: #222;
+A:hover .pwg-icon  { background-image: url(../default/s26/outline_ff7700.png);}
+ 
+#content, #theImageAndInfos ,#comments{
+  background-color: #222!important;
   border: 2px #606060 solid;
   border-width: 2px 0;
+}
+#thePicturePage #content{
+  background-color: #222!important;
 }
 
@@ -27,6 +42,6 @@
 
  .titrePage,  .titrePage a {
-  font-weight: bold;
-  text-transform: uppercase;
+   text-transform: uppercase;
+    font-variant: small-caps;
 }
 
@@ -35,148 +50,10 @@
 	color: #ff7700;
 }
-
-#copyright a , #mycopyright a{
-  color: #606060;
-}
-
-#copyright a ,#mycopyright a:hover{
-	color: #ff7700;
-}
-/* page content :  thumbnails */
-
-
-#thumbnails {
-  font-weight: bold;
-}
-
-#thumbnails li a img {
-  border: 2px #707070 solid;
-}
-#thumbnails li a:hover img {
-  border: 2px #f0f0f0 solid;
-}
-#thumbnails li p {
-  margin: 0;
-}
-
 /* page content :  categories thumbnails */
 
-.illustration a img {
-  border: 1px #606060 solid;
+.illustration {
+    width: 180px;
 }
-
-.illustration a:hover img {
-  border: 1px #f0f0f0 solid;
-}
-
-p.thumbCatDesc {
-  border-top: 1px #606060 dotted;
-  text-align: justify;
-}
-
-/* inputs */
-
-input[type="text"], input[type="password"], select, textarea, file {
- background:#f0f0f0;
- color: #333;
- border: 1px solid;
- margin: 0;
-}
-
-fieldset {
-  border: 1px #606060 dotted;
-  margin: 0 0 1em;
-  padding: 1em;
-}
-
-fieldset legend {
-  background-color: #333;
-  padding: 0 3px;
-}
-
-/* picture page */
-
-.imageNumber {
-  border: 1px #999 solid;
-}
-
-#theImage {
-padding:0
-}
-#theImage img {
-  border: 8px #fff solid;
-}
-#theImage p {
-  margin: 1em;
-  display:block;
-}
-#thePicturePage h1 {display:none}
-
-#navThumbPrev a img, #navThumbNext a img {
-  border: 2px #606060 solid;
-}
-#navThumbPrev a:hover img, #navThumbNext a:hover img {
-  border: 2px #f0f0f0 solid;
-}
-/*for screen  in 1024*768  and max width = 700*/
-#imageInfoBar {
-  width: 17%;
-}
-
-/* Chrome  */
-#theImage {
-  margin:auto
-}
-
-.commentList .author, .commentList .date {
-  font-weight: bold;
-}
-
-/* tags */
-
-#fullTagCloud span a:hover {
-  background: #606060;
-}
-
-#menuTagCloud span {
-  margin: 0;
-}
-
-.nbEntries {
-  text-align: right;
-}
-
-.tagaddbutton {
-}
-
-.mandatorystar {
-  color: #e04040;
-}
-
-/* help */
-
-.errors div {
-  background: #FFB0B0;
-  border: 4px solid #A04040;
-  color: #A04040;
-}
-.errors div a {
-  color: #FF0000;
-  font-weight: bold;
-}
-
-.infos div {
-  background: #B0FFB0;
-  border: 4px solid #40A040;
-  color: #40A040;
-}
-.infos div a {
-  color: #00FF00;
-  font-weight: bold;
-}
-
-.errors ul, .infos ul {
-  text-align: justify;
-}
+/* Image  */
 
 #comments ul.thumbnailCategories  .actions li {
@@ -184,4 +61,46 @@
   width: 28px;
 }
- */
- 
+
+
+.switchBox {
+	padding: 0.5em  1.5em;
+	margin: 0.5em ;
+	border-radius: 4px;
+	border: 1px solid #ccc;
+	z-index: 100;
+	text-align:left;
+	display: none;
+	position: absolute;
+	left: 0; top: 0; /*left, right set through js*/
+	background-color: #333;
+}
+
+#rateForm input.rateButtonStarFull  {
+  background:  url('icon/rating-stars.png') no-repeat scroll -16px center;
+  width: 16px;
+}
+#rateForm input.rateButtonStarEmpty {
+  background:  url('icon/rating-stars.png') no-repeat scroll 0 center;
+  width: 16px;
+}
+/* PWG STUFF */
+.personal_block{
+	padding:0!important
+}
+#stuffs_block_1,#stuffs_block_2,#stuffs_block_3{
+	height:160px;overflow:hidden;background-color:#222;border-color:#606060;
+	border-style:solid;border-width:2px 0;
+	padding:.5em;
+}
+#stuffs_block_4,#stuffs_block_5{
+	border-top:2px solid #606060;background-color:#222
+}
+#stuffs_block_4{
+	padding:.5em
+}
+.content .stuffs_block .titrePage{
+font-size:95%;margin:.5em 0
+}
+.stuffs  #comments .thumbnailCategories .two_comment {
+  width:46.5%!important;
+border-bottom:1px dotted #606060}
Index: /extensions/simple_themes/simple-sunset/themeconf.inc.php
===================================================================
--- /extensions/simple_themes/simple-sunset/themeconf.inc.php	(revision 19507)
+++ /extensions/simple_themes/simple-sunset/themeconf.inc.php	(revision 19508)
@@ -2,7 +2,7 @@
 /*
 Theme Name: Simple Sunset
-Version: 2.2.a
-Description: Theme sunset for Simple
-Theme URI: http://fr.piwigo.org/ext/extension_view.php?eid=289
+Version: 2.4.b
+Description: Theme sunset Compatible avec Simple Grey 4.0 and PWIGO 2.4
+Theme URI: http://fr.piwigo.org/ext/extension_view.php?eid=349
 Author:   Gbo
 Author URI: http://www.photos.bouteyron.fr
@@ -11,14 +11,24 @@
   'name'  => 'Simple-sunset',
   'parent' => 'simple',
-  'local_head'    => 'local_head.tpl');
+  'local_head'    => 'local_head.tpl',
+   'url' => 'http://www.photos.bouteyron.fr');
  global $user,$conf;
-$user['maxwidth'] = 700;
-$user['maxheight'] = 500;
+//$user['maxwidth'] = 700;
+//$user['maxheight'] = 500;
 $conf['LLGBO_SETTINGS'] [5]  = 'false'; // no  title on frame
 $conf['LLGBO_TOOLTIP'][3] = '#222'; // tooltip background
-$conf['LLGBO_TOOLTIP'][5] = '#666666'; // tooltip color
+$conf['LLGBO_TOOLTIP'][5] = '#999'; // tooltip color
+$conf['LLGBO_SETTINGS'] ['rirs']  = 'true'; // Force javascript to Read Image Reel Size
 
-// llgbo frame with only 7 lines
-for ($x = 15  ;$x < 33  ; $x++)
+ // llgbo frame with only 12 lines (erase 4 lines)
+for ($x = 25  ;$x < 33  ; $x++)
  {unset ($conf['LLGBO_FRAME'][$x]);}
+ /* no  menu random  19/12/2011 (too many url in google statistics)  
+add_event_handler('blockmanager_apply', 'blockmanager_unset');
+function blockmanager_unset ( $menu_ref_arr )
+  { global $user,$page;;
+    $menu = & $menu_ref_arr[0];
+if ( ($block = $menu->get_block('mbSpecials')) != null )
+	{unset( $block->data['random'] );}
+} */
 ?>