Index: extensions/Media_Icon/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/Media_Icon/language/lv_LV/plugin.lang.php	(revision 19520)
+++ extensions/Media_Icon/language/lv_LV/plugin.lang.php	(revision 19520)
@@ -0,0 +1,77 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Official logos or Wikipedia:'] = 'Oficiālie logotipi vai Wikipedia:';
+$lang['Media Icon Plugin'] = 'Mēdiju Ikonas Spraudnis';
+$lang['Opacity'] = 'Caurspīdīgums';
+$lang['Not displayed'] = 'Neparādās';
+$lang['Presentations'] = 'Prezentācijas';
+$lang['Presentation'] = 'Prezentācija';
+$lang['Spreadsheets'] = 'Izklājlapas';
+$lang['Spreadsheet'] = 'Izklājlapa';
+$lang['Position'] = 'Pozīcija';
+$lang['Result'] = 'Rezultāts';
+$lang['Style'] = 'Stils';
+$lang['Music'] = 'Mūzika';
+$lang['Musics'] = 'Mūzika';
+$lang['Icon style:'] = 'Ikonas stils';
+$lang['General'] = 'Vispārējs';
+$lang['Files supported: xls, xlsx and ods'] = 'Atbalstītie failu tipi: xls, xlsx un ods';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Atbalstītie failu tipi: mp3, ogg, m4a, webma, fla, wav';
+$lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Atbalstītie failu tipi: mp3, ogg, m4a, webma, fla, wav';
+$lang['Files supported: doc, docx and odt'] = 'Atbalstītie failu tipi: doc, docx un odt';
+$lang['Files supported: pdf'] = 'Atbalstītie failu tipi: pdf';
+$lang['Download website'] = 'Lejupielādēt vietni';
+$lang['Donate'] = 'Ziedot';
+$lang['Documents'] = 'Dokumenti';
+$lang['Document'] = 'Dokunents';
+$lang['Click on submit to see changes.'] = 'Apstipriniet, lai redzētu izmaiņas';
+$lang['Advanced options'] = 'Papildiespējas';
+$lang['Dailymotion'] = 'Dienas kustība';
+$lang['Credits'] = 'Kredīti';
+$lang['Bottom right corner'] = 'Apakšējais labais stūris';
+$lang['Bottom left corner'] = 'Apakšējais kreisais stūris';
+$lang['Author website'] = 'Autora vietne';
+$lang['This menu allows to configure 2 types of parameters:'] = 'Šī izvēlne ļauj konfigurēt 2 veidu parametrus:';
+$lang['The opacity of the icon.'] = 'Ikonas caurspīdīgums';
+$lang['Top right corner'] = 'Augšējais labais stūris';
+$lang['Top left corner'] = 'Augšējais kreisais stūris';
+$lang['folder'] = 'Mape';
+$lang['foldercolor'] = 'Mapes krāsa';
+$lang['Youtube videos'] = 'Youtube video';
+$lang['Youtube'] = 'Youtube';
+$lang['Wideo videos'] = 'Wideo Video';
+$lang['Wideo'] = 'Wideo';
+$lang['Wat videos'] = 'Wat video';
+$lang['Wat'] = 'Wat';
+$lang['Vimeo'] = 'Vimeo';
+$lang['Vimeo videos'] = 'Vimeo video';
+$lang['Videos added with'] = 'Video pievienoti ar';
+$lang['Videos'] = 'Video';
+$lang['Video'] = 'Video';
+$lang['folderpicture'] = 'Mapes attēls';
+$lang['ppt, pptx and odp files'] = 'Atbalstītie failu tipi: ppt, pptx, odp';
+$lang['pdf files'] = 'pdf faili';
+$lang['pdf'] = 'pdf';
+$lang['page'] = 'Lapa';
+$lang['logo'] = 'Logo';
+?>