Index: /extensions/Panoramas/AS_Panorama.php
===================================================================
--- /extensions/Panoramas/AS_Panorama.php	(revision 19534)
+++ /extensions/Panoramas/AS_Panorama.php	(revision 19535)
@@ -7,5 +7,5 @@
 if ( !function_exists( 'AS_panorama_content' ) ) {
 	if ( !defined('IN_ADMIN') or !IN_ADMIN ) {
-    add_event_handler('render_element_content', 'AS_panorama_content', 99, 2 );
+    add_event_handler('render_element_content', 'AS_panorama_content', 41, 2 );
     function AS_panorama_content($content, $image)
 		{
@@ -20,9 +20,4 @@
 	if (isset($image['width']) and $image['width'] < $asp['min_viewport_width']) return $content;
 
-	$divtag = "<img src=\"";
-	$divtag.= str_replace( "./", "", $image['path'])."\" width=\"".$image['width']."\" ";
-	$divtag.= "height=\"".$image['height']."\" ";
-	$divtag.= "alt=\"".$image['file']."\" id=\"theMainImage\" ";
-	
 	if ($image['height'] > $asp['viewport_height']) {
 		$ratio = $image['width'] / $image['height'];
@@ -31,4 +26,7 @@
 	}
 
+	$content = "<img src=\"".str_replace( "./", "", $image['path'])."\" width=\"".$image['width']."\" height=\"".$image['height']."\" alt=\"".$image['file']."\" id=\"theMainImage\"></img>";
+
+	
 	$asp['image_name'] = $image['name'];
 	$asp['width'] = $image['width'];
@@ -41,9 +39,10 @@
 		$asp['name'] = str_replace($asp['in_mode_360'],'', $image['name']);
 	}
+	$asp['footer_view'] = 'false';
 	
 	$template->set_filenames(
 	array('AS_panorama_content' => dirname(__FILE__) . '/template/AS_panorama_content.tpl') );
 	$asp['Path'] = embellish_url($template->get_template_vars('ROOT_URL').ASP_PATH);
-	$asp['content'] = $divtag;
+	$asp['content'] = $content;
 	$template->assign( array( 'ASP' => $asp, ) );
 	return $template->parse('AS_panorama_content', true);
Index: /extensions/Panoramas/AS_Panorama_admin.php
===================================================================
--- /extensions/Panoramas/AS_Panorama_admin.php	(revision 19534)
+++ /extensions/Panoramas/AS_Panorama_admin.php	(revision 19535)
@@ -21,5 +21,5 @@
     array_push($errors, l10n('Viewport width ratio is out of range (Correct range: 50-100).'));
 	if ( $nsp['viewport_height']=='' or !is_numeric($nsp['viewport_height']) or $nsp['viewport_height'] < 500 or $nsp['viewport_height'] > 800 )
-    array_push($errors, l10n('Viewport height is out of range (Correct range: 500/+).')); 
+    array_push($errors, l10n('Viewport height is out of range (Correct range: 500-800).')); 
 	if ( $nsp['min_viewport_width']=='' or !is_numeric($nsp['min_viewport_width']) or $nsp['min_viewport_width'] < 320 )
     array_push($errors, l10n('Minimal Viewport width is out of range (Correct range: 320/+).')); 
@@ -30,4 +30,9 @@
 	if ( $nsp['start_position']=='' or !is_numeric($nsp['start_position']) or $nsp['start_position'] < 0 or $nsp['start_position'] > 99 )
     array_push($errors, l10n('Start position ratio is out of range (Correct range: 0-99).')); 
+	if ( $nsp['start_position']=='' or !is_numeric($nsp['start_position']) or $nsp['start_position'] < 0 or $nsp['start_position'] > 99 )
+    array_push($errors, l10n('Start position ratio is out of range (Correct range: 0-99).')); 
+	if ( $nsp['cont_border']=='' or !is_numeric($nsp['cont_border']) or $nsp['cont_border'] < 0 or $nsp['cont_border'] > 10 )
+    array_push($errors, l10n('Border Width ratio is out of range (Correct range: 0-10).')); 
+  
   $nsp['in_mode_360'] = trim((string) $nsp['in_mode_360']);
   $nsp['in_mode_180'] = trim((string) $nsp['in_mode_180']);
@@ -64,4 +69,7 @@
 	'Ver' => ASP_VER,
   ));
+$template->append('head_elements',
+		   '<script type="text/javascript" src="./plugins/Panoramas/farbtastic/farbtastic.js"></script>
+			<link rel="stylesheet" type="text/css" href="./plugins/Panoramas/farbtastic/farbtastic.css" />');
 $template->assign( 'ASP', $asp );
 $template->assign_var_from_handle('ADMIN_CONTENT', 'AS_panorama_admin');
Index: /extensions/Panoramas/AS_Panorama_default.php
===================================================================
--- /extensions/Panoramas/AS_Panorama_default.php	(revision 19534)
+++ /extensions/Panoramas/AS_Panorama_default.php	(revision 19535)
@@ -18,4 +18,10 @@
 	'in_mode_180' => '_180',
 	'In_name_display_removal' => 1,
+	'cont_border' => 2,
+	'cont_border_color' => '#000000',
+	'footer_display' => 'visible',
+	'footer_color' => '#000000',
+	'caption_color' => '#000000',
+	'footer_control_color' => '#FFFFFF'
   );
   if (!isset($conf['AS_panorama'])) $conf['AS_panorama'] = $default;
Index: /extensions/Panoramas/css/AS_Panorama.css
===================================================================
--- /extensions/Panoramas/css/AS_Panorama.css	(revision 19534)
+++ /extensions/Panoramas/css/AS_Panorama.css	(revision 19535)
@@ -6,4 +6,5 @@
 	padding: 0;
 	text-align: left;
+	border: 1px solid black;
 }
 .panorama-container {
@@ -12,36 +13,104 @@
 	margin: 0;
 	padding: 0;
+}
+
+.panorama-footer {
+	padding: 0;
+	margin: 0 auto;
+	overflow: hidden;
+	text-align: left;
+	width: 100%;
+}
+
+#panoramaThumb {
+	float: right;
+	margin: 10px 8px 0px 0px;
+	padding: 0px;
+	overflow: hidden;
+	text-align: left;
+	cursor: pointer;
+}
+	
+#thumbFrame {
+	left: 0;
+	padding: 0;
+	margin: 0;
+	background-color: lightblue;
+	cursor: move;
+	z-index: 1000;
+	opacity: 0.4;
+	-moz-opacity: 0.8;
+	filter: alpha(opacity=80);
+}
+
+#panoramaCaption {
+	float: left;
+	margin: 11px 0 0 30px;
+	color : white; /*this.options.captioncolor,*/
+	font-family: "Trebuchet MS";
+	text-align: left;
+	font-size: 12px;
+	line-height: 20px;
 
 }
+	
 .panorama-control {
 	position: absolute;
 	display: none;
 	padding: 0;
-	margin: 0;
+	margin: 0 auto;
 	bottom: -1px;
-	left: 0;
-	width: 100%;
-	height: 30px;
-	background: #542;
-	filter: alpha(opacity=50);
-	opacity: .5;
-	text-align: left;
+	height: 35px;
+	text-align: center;
 }
-.panorama-control-left, .panorama-control-right, .panorama-control-pause { 
+
+.panorama-control A {
 	float: left;
 	padding: 0;
-	margin: 0;
+	margin: 2px 0 2px 0;
+	background: #151A23;
+	filter: alpha(opacity=60);
+	opacity: .6;
 	color: white;
 	text-decoration: none;
 	font-size: 24px;
-  font-weight: bold;
-	line-height: 30px;
-	width: 33%;
+	font-weight: bold;
+	line-height: 28px;
+	width: 80px;
 	text-align: center;
-	font-family: 'Arial',sans-serif
+	vertical-align: middle;
+	font-family: 'Arial',sans-serif;
+	border: 1px solid yellow;
+	border-radius: 10px;
 }
-.panorama-control-left:hover, .panorama-control-right:hover, .panorama-control-pause:hover { 
+.panorama-control A:hover { 
 	text-decoration: none;
+	background: white;
+	color: #151A23;
 }
+
+.footer-control {
+	float: left;
+	padding: 0;
+	margin: 11px 0 0 10px;
+}
+
+.footer-control A {
+	float: left;
+	margin-left: 2px;
+	padding: 4px 0;
+	color: white;
+	text-decoration: none;
+	font-size: 12px;
+	font-weight: bold;
+	height: 16px;
+	width: 25px;
+	text-align: center;
+	/*vertical-align: middle;*/
+	font-family: 'Arial',sans-serif;
+	border: 1px solid gray;
+	border-radius: 5px;
+}
+
 .panorama-control-pause {
 	text-transform: uppercase;
@@ -71,5 +140,4 @@
 	margin: 0;
 	padding: 0;
-	border: none;
 }
 
Index: /extensions/Panoramas/js/jquery.panorama.js
===================================================================
--- /extensions/Panoramas/js/jquery.panorama.js	(revision 19534)
+++ /extensions/Panoramas/js/jquery.panorama.js	(revision 19535)
@@ -16,8 +16,13 @@
 				auto_start: true,
 				mode_360: true,
-				loop_180: true
+				loop_180: true,
+				footer_display: 'visible',
+				cont_border: 2,
+				cont_border_color: '#000000',
+				footer_color: '#000000',
+				caption_color: '#CCCCCC',
+				footer_control_color: '#000000',
 			};
 			if(options) $.extend(settings, options);
-
 
 			var elemWidth =  parseInt($(this).attr('width'));
@@ -33,9 +38,18 @@
 				if (isNaN(elemHeight)) elemHeight = img.height;
 			}
+
+			var ratio = elemWidth / 200;
+			if((Math.floor(elemHeight / ratio) + 22) < 50){
+			  var FooterHeight = 50;
+			}else{
+			  var FooterHeight = (Math.floor(elemHeight / ratio) + 22);
+			}
+			var halfFrame = Math.floor((settings.viewport_width / ratio) / 2);
 			// --------------------------------------------------
+			$("#Panorama").css('border', settings.cont_border + 'px solid ' + settings.cont_border_color).css('width', (settings.cont_border) * 2 + settings.viewport_width + 'px');
+
 			var currentElement = this;
 			var panoramaViewport, panoramaContainer;
-					
-
+				
 			$(this).css('position', 'relative')
 				.css('margin', '0')
@@ -47,10 +61,64 @@
 			
 			panoramaContainer = $(this).parent();
-			panoramaContainer.wrap("<div class='panorama-viewport'></div>").parent().css('width',settings.viewport_width+'px')
-				.append("<div class='panorama-control'><a href='#' class='panorama-control-left'><<</a> <a href='#' class='panorama-control-pause'>x</a> <a href='#' class='panorama-control-right'>>></a> </div>");
-			
-			panoramaViewport = panoramaContainer.parent();
-
-			panoramaViewport.css('height', elemHeight+'px').find('a.panorama-control-left').bind('click', function() {
+			panoramaContainer.wrap("<div class='panorama-viewport'></div>").parent().css('width',settings.viewport_width + 'px').css('height', elemHeight+'px');
+			
+			if (settings.footer_display == 'invisible') {
+				$("div.panorama-viewport").append("<div class='panorama-control'><a href='#' class='panorama-control-incspeed'>&#9650;</a> <a href='#' class='panorama-control-decspeed'>&#9660;</a> <a href='#' class='panorama-control-left'>&#9668;</a> <a href='#' class='panorama-control-pause'>&#9632;</a> <a href='#' class='panorama-control-right'>&#9658;</a> </div>");
+				$("div.panorama-control").css('margin-left', ((settings.viewport_width - $("div.panorama-control").width()) / 2) + 'px');
+			}
+			
+/**************************************************************/
+// Gestion du "Footer du panorama"
+			if (settings.footer_display == 'visible') {
+				$("#Panorama").append("<div id='panoramaFooter' class='panorama-footer'><div class='footer-control'><a href='#' class='panorama-control-incspeed'>&#9650;</a><a href='#' class='panorama-control-decspeed'>&#9660;</a><a href='#' class='panorama-control-left'>&#9668;</a> <a href='#' class='panorama-control-pause'>&#9632;</a> <a href='#' class='panorama-control-right'>&#9658;</a></div><div id='panoramaCaption'></div><div id='panoramaThumb'></div></div>");
+
+				$("#panoramaFooter").css('padding','0px')
+					.css('height',FooterHeight)
+					.css('background-color', settings.footer_color);
+				$("#panoramaFooter a").css('color', settings.footer_control_color).css('border-color', settings.footer_control_color);
+				$("#panoramaCaption").css('color', settings.caption_color).html(settings.img_name);
+				$("#panoramaThumb").css('height', (Math.floor(elemHeight / ratio) + 1)).css('width', '200').append("<img src='" + $(this).attr('src') + "' width=200 height=" + (Math.floor(elemHeight / ratio) + 1) + "></img><div id='thumbFrame'></div>");
+
+				if(window.ie) { var ieheightadjust = 1;	} else { var ieheightadjust = 3; }
+				$("#thumbFrame").css('position','relative')
+					.css('width', (Math.floor(settings.viewport_width / ratio) + 1))
+					.css('height', (Math.floor(elemHeight / ratio) + 2))
+					.css('top', -(Math.floor(elemHeight / ratio) + ieheightadjust + 1));
+				
+				$("#thumbFrame" ).draggable({
+					axis : "x",
+					containment: "#panoramaThumb",
+					drag: function( event, ui ) {
+						var x = Math.floor(ui.position.left * ratio);
+						$(".panorama-container").css('margin-left', - x);
+					}
+				}); 
+				
+				
+				$("#panoramaThumb").bind('click', function(e) {
+					var x = Math.floor((e.pageX - this.offsetLeft) - halfFrame);
+					if(x < 0) { 
+						x = 0;
+					}
+					else if (x > 200 - $("#thumbFrame").width()) {
+						x = 200 - $("#thumbFrame").width();
+					}
+					$("#thumbFrame").animate({left: x}, 2000 , 'swing');
+					x = - Math.floor(x * ratio);
+					$("div.panorama-container").animate({marginLeft: x}, 2000 , 'swing');
+					return false;
+				});
+			}
+
+/**********************************************************/
+// Gestion des boutons de contrôle du panorama
+			$("div.panorama-viewport").bind('click', function() {
+				panorama_stop(panoramaContainer, ratio);
+				return false;
+			});
+ 
+			if (settings.footer_display == 'visible') panoramaViewport = $("#panoramaFooter"); else panoramaViewport = panoramaContainer.parent();
+			
+			panoramaViewport.find('a.panorama-control-left').bind('click', function() {
 				$(panoramaContainer).stop();
 				settings.direction = 'right';
@@ -58,7 +126,5 @@
 				return false;
 			});
-			panoramaViewport.bind('click', function() {
-				$(panoramaContainer).stop();
-			});
+
 			panoramaViewport.find('a.panorama-control-right').bind('click', function() {
 				$(panoramaContainer).stop();
@@ -67,8 +133,23 @@
 				return false;
 			});
+
 			panoramaViewport.find('a.panorama-control-pause').bind('click', function() {
-				$(panoramaContainer).stop();
-				return false;
-			});
+				panorama_stop(panoramaContainer, ratio);
+				return false;
+			});
+			
+			panoramaViewport.find('a.panorama-control-incspeed').bind('click', function() {
+				panoramaContainer.stop().clearQueue();
+				if (settings.speed > 5000) settings.speed -= 2500;
+				panorama_animate(panoramaContainer, elemWidth, settings);
+				return false;
+			});	
+
+			panoramaViewport.find('a.panorama-control-decspeed').bind('click', function() {
+				panoramaContainer.stop().clearQueue();
+				if (settings.speed < 130000) settings.speed += 2500;
+				panorama_animate(panoramaContainer, elemWidth, settings);
+				return false;
+			});	
 			
 			if (settings.control_display == 'yes') {
@@ -82,18 +163,17 @@
 					return false;
 				});
-				
-			}
-		
-			$(this).parent().css('margin-left', '-'+settings.start_position+'px');
-
-			if (settings.auto_start) 
-				panorama_animate(panoramaContainer, elemWidth, settings);
-			
-		});
+			}
+		$(this).parent().css('margin-left', '-'+settings.start_position+'px');
+		if (settings.auto_start) panorama_animate(panoramaContainer, elemWidth, settings);
+	});
+
+/**************************************************************/
+// Scroll horizontal du panorama		
 		function panorama_animate(element, elemWidth, settings) {
 			currentPosition = 0-parseInt($(element).css('margin-left'));
+			if (settings.footer_display == 'visible') $("#thumbFrame").hide();
 			if (settings.direction == 'right') {
-				
 				$(element).animate({marginLeft: 0}, ((settings.speed / elemWidth) * (currentPosition)) , 'linear', function (){ 
+					if (settings.footer_display == 'visible') panorama_stop(element, elemWidth / 200);
 					if (settings.mode_360) {
 						$(element).css('marginLeft', '-'+(parseInt(parseInt(elemWidth))+'px'));
@@ -106,10 +186,7 @@
 			} else {
 				var rightlimit;
-				if (settings.mode_360) 
-					rightlimit = elemWidth;
-				else
-					rightlimit = elemWidth-settings.viewport_width;
-					
-				$(element).animate({marginLeft: -rightlimit}, ((settings.speed / rightlimit) * (rightlimit - currentPosition)), 'linear', function (){ 
+				if (settings.mode_360) rightlimit = elemWidth; else rightlimit = elemWidth - settings.viewport_width;
+				$(element).animate({marginLeft: -rightlimit}, (settings.speed / elemWidth) * (rightlimit - currentPosition), 'linear', function (){ 
+					if (settings.footer_display == 'visible') panorama_stop(element, elemWidth / 200);
 					if (settings.mode_360) {
 						$(element).css('margin-left', 0); 
@@ -121,8 +198,15 @@
 				});
 			}
-
-			
 		}
-		
+
+/**************************************************************/
+// Arrêt du défilement et repositionnement de l'index		
+		function panorama_stop(element, rapport) {
+			$(element).stop();
+			$("#thumbFrame").show();
+			var x = -Math.floor(parseInt($("div.panorama-container").css('margin-left')) / rapport);
+			$("#thumbFrame").css('left', x);
+			return false;
+		}
 	};
 
Index: /extensions/Panoramas/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Panoramas/language/en_UK/plugin.lang.php	(revision 19534)
+++ /extensions/Panoramas/language/en_UK/plugin.lang.php	(revision 19535)
@@ -6,4 +6,5 @@
 $lang['Maximal Viewport width is out of range (Correct range: Minimal/+).'] = 'Maximal Viewport width is out of range (Correct range: Minimal/+).'; 
 $lang['Minimal Viewport width is out of range (Correct range: 320/+).'] = 'Minimal Viewport width is out of range (Correct range: 320/+).'; 
+$lang['Border Width ratio is out of range (Correct range: 0-10).'] = 'Panoramic border size is out of range (Correct range: 0-10).'; 
 $lang['Mode 180 (Alternative left-right restart)'] = 'Mode 180 (Alternative left-right restart)';
 $lang['Mode 360'] = 'Mode 360';
@@ -32,3 +33,9 @@
 $lang['Your configuration is NOT saved due to above reasons.'] = 'Your configuration is NOT saved due to above reasons.';
 $lang['Your configuration is saved.'] = 'Your configuration is saved.';
+$lang['Border width'] = 'Panoramic border size [0-10]';
+$lang['Border color'] = 'Panoramic border color';
+$lang['Footer display'] = 'Footer display';
+$lang['Footer Color'] = 'Footer background color';
+$lang['Footer Control Color'] = 'Footer control color';
+$lang['Caption Color'] = 'Description text color';
 ?>
Index: /extensions/Panoramas/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Panoramas/language/fr_FR/plugin.lang.php	(revision 19534)
+++ /extensions/Panoramas/language/fr_FR/plugin.lang.php	(revision 19535)
@@ -6,4 +6,5 @@
 $lang['Maximal Viewport width is out of range (Correct range: Minimal/+).'] = 'La largeur maximale de la partie visible est incorrecte (Valeurs acceptables: Minimale/+).'; 
 $lang['Minimal Viewport width is out of range (Correct range: 320/+).'] = 'La largeur minimale de la partie visible est incorrecte (Valeurs acceptables: 320/+).'; 
+$lang['Border Width ratio is out of range (Correct range: 0-10).'] = 'L\'épaisseur de la bordure du panoramique est incorrecte (Valeurs acceptables: 0-10).'; 
 $lang['Mode 180 (Alternative left-right restart)'] = 'Mode 180 (Relance de la lecture alternée gauche-droite)';
 $lang['Mode 360'] = 'Mode 360';
@@ -33,3 +34,9 @@
 $lang['Your configuration is NOT saved due to above reasons.'] = 'Votre configuration n\'a PAS été enregistré suite aux erreurs ci-dessus.';
 $lang['Your configuration is saved.'] = 'Votre configuration a été enregistrée.';
+$lang['Border width'] = 'Epaisseur de la bordure du panoramique';
+$lang['Border color'] = 'Couleur de la bordure du panoramique';
+$lang['Footer display'] = 'Affichage de la légende';
+$lang['Footer Color'] = 'Couleur de fond de la partie légende';
+$lang['Footer Control Color'] = 'Couleur de bouton de contrôle de la partie légende';
+$lang['Caption Color'] = 'Couleur du texte descriptif';
 ?>
Index: /extensions/Panoramas/template/AS_Panorama_admin.tpl
===================================================================
--- /extensions/Panoramas/template/AS_Panorama_admin.tpl	(revision 19534)
+++ /extensions/Panoramas/template/AS_Panorama_admin.tpl	(revision 19535)
@@ -14,5 +14,5 @@
  <fieldset id="ASP_Config">
   <legend>{'Panoramas configuration'|@translate}</legend>
-  <table id="table">
+  <table id="table" style="float:left">
      <tr>
     <td class="label">{'Viewport height [pixels > 500]'|@translate}</td>
@@ -32,4 +32,14 @@
     <td><input type="text" class="field" name="max_viewport_width" value="{$ASP.max_viewport_width}"  size="20" maxlength="4"/></td>
    </tr>
+   
+    <tr>
+	   <td class="label">{'Border width'|@translate}</td>
+	   <td><input type="text" class="field" name="cont_border" value="{$ASP.cont_border}" size="20" maxlength="2"/></td>
+   </tr>
+    <tr>
+	   <td class="label">{'Border color'|@translate}</td>
+	   <td><input type="text" class="field colorwell" name="cont_border_color" value="{$ASP.cont_border_color}" size="20" maxlength="7"/></td>
+   </tr>
+   
    <tr>
     <td class="label">{'Relative speed factor [10-90]'|@translate}</td>
@@ -50,4 +60,25 @@
 	</td>
    </tr>
+   <tr>
+   <td class="label">{'Footer display'|@translate}</td>
+	<td>
+		<input type="radio" value="visible" name="footer_display" {if ($ASP.footer_display=='visible')} checked="checked" {/if}/>{'Visible'|@translate}
+		<input type="radio" value="invisible" name="footer_display" {if ($ASP.footer_display=='invisible')}  checked="checked" {/if}/>{'Invisible'|@translate}
+	</td>
+   </tr>
+   
+   <tr>
+	   <td class="label">{'Footer Color'|@translate}</td>
+	   <td><input type="text" class="field colorwell" name="footer_color" value="{$ASP.footer_color}" size="20" maxlength="7"/></td>
+   </tr>
+   <tr>
+	   <td class="label">{'Footer Control Color'|@translate}</td>
+	   <td><input type="text" class="field colorwell" name="footer_control_color" value="{$ASP.footer_control_color}" size="20" maxlength="7"/></td>
+   </tr>
+   <tr>
+	   <td class="label">{'Caption Color'|@translate}</td>
+	   <td><input type="text" class="field colorwell" name="caption_color" value="{$ASP.caption_color}" size="20" maxlength="7"/></td>
+   </tr>
+
    <tr>
     <td class="label">{'Start position [% between 0-99]'|@translate}</td>
@@ -91,8 +122,23 @@
    </tr>
   </table>
+    <div id="colorpicker" style="float:right"></div>
  </fieldset>
 
  <p><input type="submit" value="{'Submit'|@translate}" name="submit" /></p>
 </form>
+
+<script type="text/javascript" charset="utf-8">
+ $(document).ready(function() {ldelim}
+     var f = $.farbtastic('#colorpicker');
+     var selected;
+     $('.colorwell')
+       .each(function () {ldelim} f.linkTo(this);  })
+       .focus(function() {ldelim}
+       	f.linkTo(this);
+
+       });
+  });
+ </script>
+ 
 {html_head}
 <script type="text/javascript">
@@ -103,3 +149,4 @@
 	});
 </script>
+
 {/html_head}
Index: /extensions/Panoramas/template/AS_panorama_content.tpl
===================================================================
--- /extensions/Panoramas/template/AS_panorama_content.tpl	(revision 19534)
+++ /extensions/Panoramas/template/AS_panorama_content.tpl	(revision 19535)
@@ -2,5 +2,5 @@
 
 {combine_script id="jquery.panorama" require="jquery" path="plugins/Panoramas/js/jquery.panorama.js"}
-{footer_script require="jquery.panorama"}
+{footer_script require="jquery.panorama" require='jquery.ui.draggable'}
 jQuery(document).ready(function(){ldelim}
     var w = $("#imageToolBar").width();
@@ -15,12 +15,19 @@
 		$("#theImage img").eq(0).removeAttr("style").attr({ldelim}width:{$ASP.width},height:{$ASP.height}}).addClass("simple_panorama");
 		var options = {ldelim}
-					 viewport_width: w,
-					 speed: s,
-					 direction: '{$ASP.direction}',
-					 control_display: '{$ASP.control_display}',
-					 start_position : p,
-					 auto_start : {$ASP.auto_start},
-					 mode_360 : {$ASP.mode_360},
-					 loop_180 : {$ASP.loop_180}
+					viewport_width: w,
+					speed: s,
+					direction: '{$ASP.direction}',
+					control_display: '{$ASP.control_display}',
+					start_position : p,
+					auto_start : {$ASP.auto_start},
+					mode_360 : {$ASP.mode_360},
+					loop_180 : {$ASP.loop_180},
+					img_name: '{$ASP.name}',
+					cont_border: {$ASP.cont_border},
+					cont_border_color: '{$ASP.cont_border_color}',
+					footer_display : '{$ASP.footer_display}',
+					footer_color: '{$ASP.footer_color}',
+					caption_color: '{$ASP.caption_color}',
+					footer_control_color: '{$ASP.footer_control_color}'
 			 };
 		$("#theImage img.simple_panorama").panorama(options);
@@ -34,2 +41,3 @@
 		{$ASP.content}
 	</div>
+	<br />