Index: extensions/Media_Icon/admin/admin_general.php
===================================================================
--- extensions/Media_Icon/admin/admin_general.php	(revision 19542)
+++ extensions/Media_Icon/admin/admin_general.php	(revision 19543)
@@ -22,15 +22,7 @@
 //Parameters of the template
 $template->assign('media_icon_style',$conf_media_icon_general['style']);
-
-$media_icon_style_selected = array();
-foreach ($conf_media_icon_general['styles'] as $media_icon_style)
-	$media_icon_style_selected[$media_icon_style] = (($conf_media_icon_general['style'] == $media_icon_style) ? 'selected="selected"' : '');
-$media_icon_active_checked = array();
-foreach ($conf_media_icon_general['support'] as $media_icon_support => $value)
-	$media_icon_active_checked[$media_icon_support] = (($conf_media_icon_general['active'][$media_icon_support] == 1) ? 'checked = "checked"' : '');
-
-$template->assign('media_icon_style_selected', $media_icon_style_selected);
+$template->assign('media_icon_styles', $conf_media_icon_general['styles']);
 $template->assign('media_icon_active',$conf_media_icon_general['active']);
-$template->assign('media_icon_active_checked',$media_icon_active_checked);
+$template->assign('media_icon_support',$conf_media_icon_general['support']);
 
 //Add our template to the global template
Index: extensions/Media_Icon/admin/admin_general.tpl
===================================================================
--- extensions/Media_Icon/admin/admin_general.tpl	(revision 19542)
+++ extensions/Media_Icon/admin/admin_general.tpl	(revision 19543)
@@ -22,6 +22,6 @@
 	<p class="media_icon_bold_center">	
 		<select id="media_icon_select" name="media_icon_style">
-			{foreach from=$media_icon_style_selected item=media_icon_style_selected_value key=media_icon_style_selected_key}
-				<option value="{$media_icon_style_selected_key}" {$media_icon_style_selected_value}>{$media_icon_style_selected_key|@translate}</option>
+			{foreach from=$media_icon_styles item=media_icon_styles_value key=media_icon_styles_key}
+				<option value="{$media_icon_styles_key}" {if $media_icon_styles_key eq $media_icon_style}selected="selected"{/if}>{$media_icon_styles_value|@translate}</option>
 			{/foreach}
 		</select>
@@ -32,17 +32,16 @@
 	<p>
 		<div id="media_icon_admin_checkbox_left">
-			<label>{'Youtube videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_youtube]" value="1" {$media_icon_active_checked.youtube}></label><br />
-			<label>{'Vimeo videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_vimeo]" value="1" {$media_icon_active_checked.vimeo}></label><br />
-			<label>{'Dailymotion videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_dailymotion]" value="1" {$media_icon_active_checked.dailymotion}></label><br />
-			<label>{'Wat videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_wat]" value="1" {$media_icon_active_checked.wat}></label><br />
-			<label>{'Wideo videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_wideo]" value="1" {$media_icon_active_checked.wideo}></label><br />
-			<label>{'Videos'|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_video]" value="1" {$media_icon_active_checked.video}></label>
+			{foreach from=$media_icon_support item=media_icon_support_value key=media_icon_support_key name=media_icon_admin_checkbox_left}
+				{if $smarty.foreach.media_icon_admin_checkbox_left.index < $smarty.foreach.media_icon_admin_checkbox_left.total/2|ceil}
+					<label>{$media_icon_support_value.name|@translate} <input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_{$media_icon_support_key}]" value="1" {if $media_icon_active.$media_icon_support_key eq 1}checked = "checked"{/if}{$media_icon_active_checked.youtube}></label><br />
+				{/if}
+			{/foreach}
 		</div>
 		<div id="media_icon_admin_checkbox_right">
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_music]" value="1" {$media_icon_active_checked.music}> {'Musics'|@translate}</label><br />
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_pdf]" value="1" {$media_icon_active_checked.pdf}> {'pdf files'|@translate}</label><br />
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_document]" value="1" {$media_icon_active_checked.document}> {'Documents'|@translate}</label><br />
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_spreadsheet]" value="1" {$media_icon_active_checked.spreadsheet}> {'Spreadsheets'|@translate}</label><br />
-			<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_presentation]" value="1" {$media_icon_active_checked.presentation}> {'Presentations'|@translate}</label>
+			{foreach from=$media_icon_support item=media_icon_support_value key=media_icon_support_key name=media_icon_admin_checkbox_left}
+				{if $smarty.foreach.media_icon_admin_checkbox_left.index >= $smarty.foreach.media_icon_admin_checkbox_left.total/2|ceil}
+					<label><input type="checkbox" name="media_icon_checkbox[media_icon_checkbox_{$media_icon_support_key}]" value="1" {if $media_icon_active.$media_icon_support_key eq 1}checked = "checked"{/if}{$media_icon_active_checked.youtube}> {$media_icon_support_value.name|@translate} </label><br />
+				{/if}
+			{/foreach}
 		</div>
 	</p>
@@ -58,14 +57,6 @@
 <fieldset>
 	<legend>{'Result'|@translate}</legend>
-	<div class="media_icon_admin_element">{'Youtube videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.youtube eq 1}<span class="media_icon_admin media_icon_admin_youtube_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.vimeo eq 1}<span class="media_icon_admin media_icon_admin_vimeo_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.dailymotion eq 1}<span class="media_icon_admin media_icon_admin_dailymotion_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Wat videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.wat eq 1}<span class="media_icon_admin media_icon_admin_wat_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a>{if $media_icon_active.wideo eq 1}<span class="media_icon_admin media_icon_admin_wideo_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Videos'|@translate} <a class="showInfo" title="{'Files supported: webm, webmv, ogv, m4v, flv, mp4'|@translate}">i</a>{if $media_icon_active.video eq 1}<span class="media_icon_admin media_icon_admin_video_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Musics'|@translate} <a class="showInfo" title="{'Files supported: mp3, ogg, oga, m4a, webma, fla, wav'|@translate}">i</a>{if $media_icon_active.music eq 1}<span class="media_icon_admin media_icon_admin_music_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'Files supported: pdf'|@translate}">i</a>{if $media_icon_active.pdf eq 1}<span class="media_icon_admin media_icon_admin_pdf_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'Files supported: doc, docx and odt'|@translate}">i</a>{if $media_icon_active.document eq 1}<span class="media_icon_admin media_icon_admin_document_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'Files supported: xls, xlsx and ods'|@translate}">i</a>{if $media_icon_active.spreadsheet eq 1}<span class="media_icon_admin media_icon_admin_spreadsheet_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
-	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'Files supported: ppt, pptx and odp'|@translate}">i</a>{if $media_icon_active.presentation eq 1}<span class="media_icon_admin media_icon_admin_presentation_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	{foreach from=$media_icon_support item=media_icon_support_value key=media_icon_support_key}
+		<div class="media_icon_admin_element">{$media_icon_support_value.name|@translate} <a class="showInfo" title="{$media_icon_support_value.infos|@translate}">i</a>{if $media_icon_active.$media_icon_support_key eq 1}<span class="media_icon_admin media_icon_admin_{$media_icon_support_key}_{$media_icon_style}">{else}<span class="media_icon_admin">{'Not displayed'|@translate}{/if}</span></div>
+	{/foreach}
 </fieldset>
Index: extensions/Media_Icon/config_default.inc.php
===================================================================
--- extensions/Media_Icon/config_default.inc.php	(revision 19542)
+++ extensions/Media_Icon/config_default.inc.php	(revision 19543)
@@ -3,24 +3,56 @@
 $config_default_general = array(
 	'styles' => array(
-		'logo' => 'logo',
-		'page' => 'page',
-		'folder' => 'folder',
-		'foldercolor' => 'foldercolor',
-		'folderpicture' => 'folderpicture',
-		'cracked' => 'cracked',
+		'logo' => 'Logo',
+		'page' => 'Page',
+		'folder' => 'Folder',
+		'foldercolor' => 'Folder color',
+		'folderpicture' => 'Folder picture',
 	),
 	'style' => 'logo',
 	'support' => array(
-		'youtube' => 'Youtube videos',
-		'vimeo' => 'Vimeo videos',
-		'dailymotion' => 'Dailymotion videos',
-		'wideo' => 'Wideo videos',
-		'wat' => 'Wat videos',
-		'video' => 'Videos',
-		'music' => 'Musics',
-		'pdf' => 'pdf documents',
-		'document' => 'Documents',
-		'spreadsheet' => 'Spreadsheets',
-		'presentation' => 'Presentations',
+		'youtube' => array(
+			'name' => 'Youtube videos',
+			'infos' => 'Videos added with Embedded Videos',
+		),
+		'vimeo' => array(
+			'name' => 'Vimeo videos',
+			'infos' => 'Videos added with Embedded Videos',
+		),
+		'dailymotion' => array(
+			'name' => 'Dailymotion videos',
+			'infos' => 'Videos added with Embedded Videos',
+		),
+		'wideo' => array(
+			'name' => 'Wideo videos',
+			'infos' => 'Videos added with Embedded Videos',
+		),
+		'wat' => array(
+			'name' => 'Wat videos',
+			'infos' => 'Videos added with Embedded Videos',
+		),
+		'video' => array(
+			'name' => 'Videos',
+			'infos' => 'Files supported: webm, webmv, ogv, m4v, flv, mp4',
+		),
+		'music' => array(
+			'name' => 'Musics',
+			'infos' => 'Files supported: mp3, ogg, oga, m4a, webma, fla, wav',
+		),
+		'pdf' => array(
+			'name' => 'pdf files',
+			'infos' => 'Files supported: pdf',
+		),
+		'document' => array(
+			'name' => 'Documents',
+			'infos' => 'Files supported: doc, docx and odt',
+		),
+		'spreadsheet' => array(
+			'name' => 'Spreadsheets',
+			'infos' => 'Files supported: xls, xlsx and ods',
+		),
+		'presentation' => array(
+			'name' => 'Presentations',
+			'infos' => 'Files supported: ppt, pptx and odp',
+		),
 	),
 	'active' => array(
Index: extensions/Media_Icon/language/da_DK/index.php
===================================================================
--- extensions/Media_Icon/language/da_DK/index.php	(revision 19543)
+++ extensions/Media_Icon/language/da_DK/index.php	(revision 19543)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Media_Icon/language/da_DK/plugin.lang.php
===================================================================
--- extensions/Media_Icon/language/da_DK/plugin.lang.php	(revision 19542)
+++ extensions/Media_Icon/language/da_DK/plugin.lang.php	(revision 19543)
@@ -21,7 +21,7 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['folderpicture'] = 'Mappebillede';
-$lang['logo'] = 'Logo';
-$lang['page'] = 'Side';
+$lang['Folder picture'] = 'Mappebillede';
+$lang['Logo'] = 'Logo';
+$lang['Page'] = 'Side';
 $lang['pdf'] = 'pdf';
 $lang['pdf files'] = 'pdf-filer';
@@ -36,5 +36,5 @@
 $lang['Video'] = 'Video';
 $lang['Videos'] = 'Videoer';
-$lang['Videos added with'] = 'Videoer tilføjet med';
+$lang['Videos added with Embedded Videos'] = 'Videoer tilføjet med Embedded Videos';
 $lang['Vimeo'] = 'Vimeo';
 $lang['Vimeo videos'] = 'Vimeo-videoer';
@@ -45,6 +45,6 @@
 $lang['Youtube'] = 'Youtube';
 $lang['Youtube videos'] = 'Youtube-videoer';
-$lang['folder'] = 'Mappe';
-$lang['foldercolor'] = 'Mappefarve';
+$lang['Folder'] = 'Mappe';
+$lang['Folder color'] = 'Mappefarve';
 $lang['Information data registered in database'] = 'Informationer registreret i databasen';
 $lang['Media Icon Plugin'] = 'Media Icon Plugin';
Index: extensions/Media_Icon/language/de_DE/index.php
===================================================================
--- extensions/Media_Icon/language/de_DE/index.php	(revision 19543)
+++ extensions/Media_Icon/language/de_DE/index.php	(revision 19543)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Media_Icon/language/de_DE/plugin.lang.php
===================================================================
--- extensions/Media_Icon/language/de_DE/plugin.lang.php	(revision 19542)
+++ extensions/Media_Icon/language/de_DE/plugin.lang.php	(revision 19543)
@@ -70,5 +70,5 @@
 $lang['Video'] = 'Video';
 $lang['Videos'] = 'Videos';
-$lang['Videos added with'] = 'Videos hinzugefügt mit';
+$lang['Videos added with Embedded Videos'] = 'Videos hinzugefügt mit Embedded Videos';
 $lang['Vimeo'] = 'Vimeo';
 $lang['Vimeo videos'] = 'Vimeo Videos';
@@ -79,9 +79,9 @@
 $lang['Youtube'] = 'Youtube';
 $lang['Youtube videos'] = 'Youtube Videos';
-$lang['folder'] = 'Verzeichnis';
-$lang['foldercolor'] = 'Verzeichnis Farbe';
-$lang['folderpicture'] = 'Verzeichnis Bild';
-$lang['logo'] = 'Logo';
-$lang['page'] = 'Seite';
+$lang['Folder'] = 'Verzeichnis';
+$lang['Folder color'] = 'Verzeichnis Farbe';
+$lang['Folder picture'] = 'Verzeichnis Bild';
+$lang['Logo'] = 'Logo';
+$lang['Page'] = 'Seite';
 $lang['pdf'] = 'PDF';
 $lang['pdf files'] = 'PDF Dateien';
Index: extensions/Media_Icon/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19542)
+++ extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19543)
@@ -10,9 +10,9 @@
 $lang['Style'] = 'Style';
 $lang['Icon style:'] = 'Icon style:';
-$lang['logo'] = 'Logo';
-$lang['page'] = 'Page';
-$lang['folder'] = 'Folder';
-$lang['foldercolor'] = 'Folder color';
-$lang['folderpicture'] = 'Folder picture';
+$lang['Logo'] = 'Logo';
+$lang['Page'] = 'Page';
+$lang['Folder'] = 'Folder';
+$lang['Folder color'] = 'Folder color';
+$lang['Folder picture'] = 'Folder picture';
 $lang['Types of files you want to add an icon to:'] = 'Types of files you want to add an icon to:';
 $lang['Click on submit to see changes.'] = 'Click on submit to see changes.';
@@ -29,5 +29,5 @@
 $lang['Spreadsheets'] = 'Spreadsheets';
 $lang['Presentations'] = 'Presentations';
-$lang['Videos added with'] = 'Videos added with';
+$lang['Videos added with Embedded Videos'] = 'Videos added with Embedded Videos';
 $lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Files supported: mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Files supported: mp3, ogg, oga, m4a, webma, fla, wav';
Index: extensions/Media_Icon/language/es_ES/plugin.lang.php
===================================================================
--- extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19542)
+++ extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19543)
@@ -10,9 +10,9 @@
 $lang['Style'] = 'Estilo';
 $lang['Icon style:'] = 'Estilo de los iconos :';
-$lang['logo'] = 'Logo';
-$lang['page'] = 'Pajina';
-$lang['folder'] = 'Carpeta';
-$lang['foldercolor'] = 'Carpeta en color';
-$lang['folderpicture'] = 'Carpeta imagen';
+$lang['Logo'] = 'Logo';
+$lang['Page'] = 'Pajina';
+$lang['Folder'] = 'Carpeta';
+$lang['Folder color'] = 'Carpeta en color';
+$lang['Folder picture'] = 'Carpeta imagen';
 $lang['Types of files you want to add an icon to:'] = 'Tipos de archivos a los que desea añadir un icono :';
 $lang['Click on submit to see changes.'] = 'Haga clic en enviar para ver los cambios.';
@@ -29,5 +29,5 @@
 $lang['Spreadsheets'] = 'Hojas de cálculo';
 $lang['Presentations'] = 'Presentaciones';
-$lang['Videos added with'] = 'Vídeos añadido con';
+$lang['Videos added with Embedded Videos'] = 'Vídeos añadido con Embedded Videos';
 $lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Archivos admitidos : mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Archivos admitidos : mp3, ogg, oga, m4a, webma, fla, wav';
Index: extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19542)
+++ extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19543)
@@ -10,9 +10,9 @@
 $lang['Style'] = 'Style';
 $lang['Icon style:'] = 'Style d\'icône :';
-$lang['logo'] = 'Logo';
-$lang['page'] = 'Page';
-$lang['folder'] = 'Dossier';
-$lang['foldercolor'] = 'Dossier en couleurs';
-$lang['folderpicture'] = 'Dossier image';
+$lang['Logo'] = 'Logo';
+$lang['Page'] = 'Page';
+$lang['Folder'] = 'Dossier';
+$lang['Folder color'] = 'Dossier en couleurs';
+$lang['Folder picture'] = 'Dossier image';
 $lang['Types of files you want to add an icon to:'] = 'Types de fichiers pour lesquels vous voulez ajouter une icône :';
 $lang['Click on submit to see changes.'] = 'Cliquez sur valider pour voir les changements apparaître.';
@@ -29,5 +29,5 @@
 $lang['Spreadsheets'] = 'Tableurs';
 $lang['Presentations'] = 'Présentations';
-$lang['Videos added with'] = 'Vidéos ajoutées avec';
+$lang['Videos added with Embedded Videos'] = 'Vidéos ajoutées avec Embedded Videos';
 $lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Fichiers supportés : mp3, ogg, oga, m4a, webma, fla, wav';
 $lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Fichiers supportés : mp3, ogg, oga, m4a, webma, fla, wav';
Index: extensions/Media_Icon/language/lv_LV/index.php
===================================================================
--- extensions/Media_Icon/language/lv_LV/index.php	(revision 19543)
+++ extensions/Media_Icon/language/lv_LV/index.php	(revision 19543)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Media_Icon/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/Media_Icon/language/lv_LV/plugin.lang.php	(revision 19542)
+++ extensions/Media_Icon/language/lv_LV/plugin.lang.php	(revision 19543)
@@ -56,6 +56,6 @@
 $lang['Top right corner'] = 'Augšējais labais stūris';
 $lang['Top left corner'] = 'Augšējais kreisais stūris';
-$lang['folder'] = 'Mape';
-$lang['foldercolor'] = 'Mapes krāsa';
+$lang['Folder'] = 'Mape';
+$lang['Folder color'] = 'Mapes krāsa';
 $lang['Youtube videos'] = 'Youtube video';
 $lang['Youtube'] = 'Youtube';
@@ -66,13 +66,13 @@
 $lang['Vimeo'] = 'Vimeo';
 $lang['Vimeo videos'] = 'Vimeo video';
-$lang['Videos added with'] = 'Video pievienoti ar';
+$lang['Videos added with Embedded Videos'] = 'Video pievienoti ar Embedded Videos';
 $lang['Videos'] = 'Video';
 $lang['Video'] = 'Video';
-$lang['folderpicture'] = 'Mapes attēls';
+$lang['Folder picture'] = 'Mapes attēls';
 $lang['ppt, pptx and odp files'] = 'Atbalstītie failu tipi: ppt, pptx, odp';
 $lang['pdf files'] = 'pdf faili';
 $lang['pdf'] = 'pdf';
-$lang['page'] = 'Lapa';
-$lang['logo'] = 'Logo';
+$lang['Page'] = 'Lapa';
+$lang['Logo'] = 'Logo';
 $lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Piwigo ir bezmaksas programmatūra (atvērtā koda programmatūra), jūs varat to izmantot bez maksas, un tā tas būs arī turpmāk. Lai segtu projekta izmaksas, ar Piwigo fonda (bezpeļņas organizācija) palīdzību tiek vākti ziedojumi.  ';
 $lang['The type of files you want to add an icon to. Uncheck a type of file to deactivate the display of the icon for this type of file. <i>Not displayed</i> is then displayed in the result pane.'] = 'Failu tipi, kuriem vēlaties pievienot ikonu. Noņemiet atzīmi failu tipam, lai nerādītu ikonu šim failu tipam. <i>Nerādīt</i> tādā gadījumā parādās rezultātu panelī.';
Index: extensions/Media_Icon/main.inc.php
===================================================================
--- extensions/Media_Icon/main.inc.php	(revision 19542)
+++ extensions/Media_Icon/main.inc.php	(revision 19543)
@@ -14,5 +14,5 @@
 define('MEDIA_ICON_PATH' , PHPWG_PLUGINS_PATH.MEDIA_ICON_DIR.'/');
 define('MEDIA_ICON_ABSOLUTE_PATH' , dirname(__FILE__).'/');
-define('MEDIA_ICON_ADMIN',   get_root_url() . 'admin.php?page=plugin-media_icon');
+define('MEDIA_ICON_ADMIN',   get_root_url() . 'admin.php?page=plugin-Media_Icon');
 
 /* +-----------------------------------------------------------------------+