Index: /extensions/Full_Background/js/menu.js
===================================================================
--- /extensions/Full_Background/js/menu.js	(revision 19548)
+++ /extensions/Full_Background/js/menu.js	(revision 19549)
@@ -36,24 +36,4 @@
 	$("ul#topnav li").hoverIntent(configSub);
 	
-	var configSwitch = {
-		 sensitivity: 2,		// number = sensitivity threshold (must be 1 or higher)    
-		 interval: 0, 			// number = milliseconds for onMouseOver polling interval    
-		 over: switchBoxOver,   // function = onMouseOver callback (REQUIRED)    
-		 timeout: 0, 			// number = milliseconds delay before onMouseOut    
-		 out: switchBoxOut 		// function = onMouseOut callback (REQUIRED)    
-	};
-
-	function switchBoxOver(){
-		$(this).find(".switchBox").stop().fadeTo('slow', 1).show();
-			
-	}
-	
-	function switchBoxOut(){
-	 $(this).find(".switchBox").stop().fadeTo('slow', 0, function() {
-		  $(this).hide();
-	  });
-	}
-	$("ul.categoryActions li").hoverIntent(configSwitch);
-
 	
 	// Delete the border for the last li of the submenu
Index: /extensions/Full_Background/local_head.tpl
===================================================================
--- /extensions/Full_Background/local_head.tpl	(revision 19548)
+++ /extensions/Full_Background/local_head.tpl	(revision 19549)
@@ -1,7 +1,4 @@
-	<!--[if lt IE 8]>
-		<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/elegant/fix-ie7.css">
-	<![endif]-->
-	
-
+<link href="{$ROOT_URL}themes/Full_Background/theme_max-width1280.css" type="text/css" rel="stylesheet" media="screen and (max-width:1280px)">
+<link href="{$ROOT_URL}themes/Full_Background/theme_max-width800.css" type="text/css" rel="stylesheet" media="screen and (max-width:800px)">
 
 <link href='http://fonts.googleapis.com/css?family=Finger+Paint' rel='stylesheet' type='text/css'>
Index: /extensions/Full_Background/template/header.tpl
===================================================================
--- /extensions/Full_Background/template/header.tpl	(revision 19548)
+++ /extensions/Full_Background/template/header.tpl	(revision 19549)
@@ -35,4 +35,5 @@
 {if $theme.load_css}
 {combine_css path="themes/`$theme.id`/theme.css" order=-10}
+
 {/if}
 {if !empty($theme.local_head)}{include file=$theme.local_head load_css=$theme.load_css}{/if}
@@ -90,8 +91,7 @@
 
 
+<div id="the_page">
 
-<div id="theHeader">{$PAGE_BANNER}</div>
 
-	<div id="the_page">
 
 
@@ -107,2 +107,3 @@
 	{/if}	
 		<div id="page_content">
+<div id="theHeader">{$PAGE_BANNER}</div>
Index: /extensions/Full_Background/template/index.tpl
===================================================================
--- /extensions/Full_Background/template/index.tpl	(revision 19548)
+++ /extensions/Full_Background/template/index.tpl	(revision 19549)
@@ -9,6 +9,7 @@
 {if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
 	</ul>
-
+<div id="title_page">
 <h2>{$TITLE}</h2>
+</div>
 
 {if isset($chronology_views)}
Index: /extensions/Full_Background/template/picture.tpl
===================================================================
--- /extensions/Full_Background/template/picture.tpl	(revision 19548)
+++ /extensions/Full_Background/template/picture.tpl	(revision 19549)
@@ -1,3 +1,3 @@
-{html_style}#footer{ldelim}display:none}{/html_style}
+{html_style}#footer{ldelim}display:none}#theHeader{ldelim}display:none}{/html_style}
 
 {* Example of resizeable
Index: /extensions/Full_Background/theme.css
===================================================================
--- /extensions/Full_Background/theme.css	(revision 19548)
+++ /extensions/Full_Background/theme.css	(revision 19549)
@@ -18,18 +18,17 @@
 
 /*======================================================Header======================================================*/
-#theHeader{display:block;position:absolute;right:20px;left: 20px;top:80px;text-align:left;z-index:101;padding:0 40px 0;margin:0;font-size:15px;text-shadow:3px 3px 1px #000;height:130px}
+#theHeader{display:block;position:relative;right:20px;left: 20px;top:80px;text-align:left;z-index:4;padding:0 40px 0;margin:0 20px;font-size:15px;text-shadow:3px 3px 1px #000;height:130px}
 #theHeader h1 {text-align:left;font-size:2.5em;display:inline-block;font-family: 'Finger Paint',arial,serif}
 #theHeader p {float:right;font-size:15px;font-family:'PT Sans Narrow',arial,serif;text-transform:uppercase}
 
 /*======================================================Content======================================================*/
-#the_page{position:absolute;top:160px;z-index:100;width:100%}
+#the_page{position:absolute;top:40px;z-index:100;width:100%}
 .content .titrePage{position:relative}
-.categoryActions{float:none;display:block;position:absolute;right:10px}
+.categoryActions{top:5px;float:right;display:block;margin:6px 20px 0 0}
 #page_content{background:none;min-width:680px;width:100%;height:auto;margin:2px auto 30px;display:table}
 .content{margin:100px 0 0;padding:0;height:auto}
-.content .titrePage{z-index:5;background:rgba(0, 0, 0, 0.5);position:absolute;width:100%;top:-120px;left:0}
+.content .titrePage{z-index:5;background:rgba(0, 0, 0, 0.5);position:absolute;width:100%;top:0;left:0}
 .content .titrePage a{color:#FFF}
 .content .titrePage a:hover{color:#C2C2C2}
-.categoryActions{top:5px}
 #content A{color:#FFF}
 #content A:hover{color:#C2C2C2}
@@ -69,5 +68,5 @@
 #copyright{position:absolute;right:20px}
 /*======================================================Menu======================================================*/
-#nav_wrapper{width:100%;margin:auto;z-index:1000;left:0;background:none repeat scroll 0% 0% rgba(0, 0, 0, 0.8);height:40px;border-bottom:1px solid #3F3F3F;min-width: 1000px;position:fixed}
+#nav_wrapper{width:100%;margin:auto;z-index:1000;left:0;background:0% 0% rgba(0, 0, 0, 0.8);height:40px;border-bottom:1px solid #3F3F3F;min-width:1000px;position:fixed}
 #menubar{width:24em;margin-left:0}
 #menubar UL{list-style-type:none;list-style-position:inside;padding:0 0 0 2px}
@@ -108,6 +107,6 @@
 ul#topnav #loger ul li a:hover{color:#ff8a00}
 ul#topnav .sub ul li a:hover,ul#topnav .sub #menuTagCloud div a:hover{color:#FF8A00;background:url(images/menu/navlist_arrow_hover.png) no-repeat 0 5px;text-decoration:none}
-span.dd_wrapper,span.cl_wrapper,span.cc_wrapper,span dt{float:left;padding:0 16px 0;line-height:40px}
-li.liSub:hover span.dd_wrapper,li.liSub:hover span.cl_wrapper,.activate{z-index:100;background:none;color:#FF8A00;padding:0 16px 0;text-shadow:none}
+span.dd_wrapper,span.cl_wrapper,span.cc_wrapper,span dt{float:left;padding:0 16px;line-height:40px}
+li.liSub:hover span.dd_wrapper,li.liSub:hover span.cl_wrapper,.activate{z-index:100;background:none;color:#FF8A00;padding:0 16px;text-shadow:none}
 li.liSub:hover span.cc_wrapper{color:#8F8F8F}
 .close{cursor:pointer;height:16px;width:16px;background:url(images/menu/close.png) no-repeat scroll 0 0 transparent;float:right}
@@ -171,5 +170,5 @@
 .tf_bg img{position:absolute;top:0;left:0;width:100%;z-index:1;display:none}
 #tf_pattern{position:absolute;width:100%;height:100%;z-index:2}
-.tf_content{position:absolute;left:50px;z-index:10;display:none}
+.tf_content{position:absolute;top:450px;left:100px;z-index:10;display:none}
 .tf_content h2{color:#FFF;font-size:90px;padding:0;margin:0;font-family:'Finger Paint',arial,serif;text-shadow:1px 1px 2px #000;height:auto}
 .tf_content .infor{color:#FFF;margin:0;padding:40px;width:500px;font-family:'PT Sans Narrow',arial,serif;line-height:25px;text-transform:uppercase;text-shadow:3px 3px 1px #000;box-shadow:1px 1px 5px #202020;border:4px solid #FFF;font-size:15px;background:rgba(0, 0, 0, 0.3)}
@@ -177,16 +176,16 @@
 .infor img{margin-left:4px}
 .infor div{float:left;width:33%}
-.tf_thumbs{position:absolute;z-index:12;right:50px;top:10px;margin-top:45px;border:4px solid #FFF;box-shadow:1px 1px 5px #202020}
+.tf_thumbs{position:absolute;z-index:4;right:50px;top:300px;border:4px solid #FFF;box-shadow:1px 1px 5px #202020}
 .tf_thumbs img{display:block;max-width:350px;max-height:280px}
 .tf_loading{position:fixed;top:50%;left:50%;margin:-30px 0px 0px -30px;width:80px;height:80px;background: url("images/loading.gif") no-repeat center center;z-index:999;opacity:0.7}
-.tf_next, .tf_prev{width:35px;height:14px;position:absolute;z-index:100;cursor:pointer;background:url("images/nav.png") no-repeat left top;right:420px}
+.tf_next, .tf_prev{width:35px;height:14px;top:350px;position:absolute;z-index:100;cursor:pointer;background:url("images/nav.png") no-repeat left top;right:450px}
 .tf_next{background-position:0 -14px;margin-top:120px}
 .tf_prev{background-position:0 0;margin-top:20px}
 .tf_next:hover, .tf_prev:hover{opacity: 0.9}
 .tf_zoom{width:20px;height:20px;position:absolute;top:6px;right:6px;cursor:pointer;z-index:100;opacity:0.6;background:url("images/icons.png") no-repeat left top}
-.tf_fullscreen{width:20px;height:20px;position:absolute;top:-50px;right:30px;cursor:pointer;z-index:100;opacity:0.6;background:url("images/icons.png") no-repeat}
+.tf_fullscreen{width:20px;height:20px;position:absolute;top:80px;right:80px;cursor:pointer;z-index:100;background:url("images/icons.png") no-repeat}
 .tf_info{width:20px;height:20px;position:absolute;top:6px;right:28px;cursor:pointer;z-index:100;opacity:0.6;background:url("images/icons.png") no-repeat 0px -40px}
 .tf_zoom{background-position:0px -20px}
-.tf_zoom:hover,.tf_fullscreen:hover,.tf_info:hover{opacity:0.9}
+.tf_zoom:hover,.tf_fullscreen:hover,.tf_info:hover{opacity:0.7}
 .cat{display:none}
 #test{z-index:200;position:relative}
@@ -224,4 +223,8 @@
 /*============================================Pluggin===================================*/
 #mbContact dd{padding:0!important;border:none!important}
-#languageSwitchBox{background:#3f3f3f!important;width:200px;left:-210px;top:-5px;position:absolute;height:25px;overflow-y:auto;border-radius:0;border:none!important}
-.switchBoxTitle{display:none}
+#title_page{float:left;width:auto}
+
+
+/*@media (max-width:1280px){ul#topnav{font-size:1em}}
+@media (max-width:1024px){ul#topnav{font-size:0.6em}}
+@media (max-width:1024px){span.dd_wrapper, span.cl_wrapper, span.cc_wrapper, span dt{padding:0 5px}
Index: /extensions/Full_Background/theme_max-width1280.css
===================================================================
--- /extensions/Full_Background/theme_max-width1280.css	(revision 19549)
+++ /extensions/Full_Background/theme_max-width1280.css	(revision 19549)
@@ -0,0 +1,17 @@
+#theHeader{font-size:10px}
+ul#topnav{font-size:1em}
+span#menu_start{width:40px}
+span#menu_start a{width:35px;margin:0 5px 0 5px}
+span.dd_wrapper,span.cl_wrapper,span.cc_wrapper,span dt{padding:0 6px}
+li.liSub:hover span.dd_wrapper,li.liSub:hover span.cl_wrapper,.activate{padding:0 6px}
+ul#topnav span dt{padding:0 6px}
+#quicksearch input[type=text]{width:150px;height:20px;font-size:11px}
+#search{width:200px}
+.tf_thumbs{top:180px}
+.tf_thumbs img{width:250px;height:180px}
+.tf_next, .tf_prev{top:200px;right:330px}
+.tf_content h2{font-size:40px}
+.infor h2{font-size:20px}
+.tf_content .infor{padding:10px;width:400px;line-height:20px;height:50px}
+.tf_fullscreen{top:40px;right:40px}
+.tf_content{top:370px}
Index: /extensions/Full_Background/theme_max-width800.css
===================================================================
--- /extensions/Full_Background/theme_max-width800.css	(revision 19549)
+++ /extensions/Full_Background/theme_max-width800.css	(revision 19549)
@@ -0,0 +1,22 @@
+BODY{min-width:auto}
+#theHeader{font-size:10px;top:25px;left:0;right:0}
+#nav_wrapper{min-width:auto}
+ul#topnav{font-size:0.7em}
+span#menu_start{width:35px}
+span#menu_start a{width:35px;margin:0 6px 0 3px}
+span.dd_wrapper,span.cl_wrapper,span.cc_wrapper,span dt{padding:0 3px}
+li.liSub:hover span.dd_wrapper,li.liSub:hover span.cl_wrapper,.activate{padding:0 3px}
+ul#topnav span dt{padding:0 3px}
+#quicksearch input[type=text]{width:110px;height:20px;font-size:11px}
+#search{width:100px;right:42px}
+#title_page{font-size:80%}
+.titrePage{height:30px}
+.tf_thumbs{top:100px}
+.tf_thumbs img{width:200px;height:150px}
+.tf_next, .tf_prev{top:105px;right:290px}
+.tf_next{margin-top:100px}
+.tf_content h2{font-size:40px}
+.infor h2{font-size:15px}
+.tf_content .infor{padding:5px;width:350px;line-height:15px;height:50px;font-size:15px}
+.tf_fullscreen{top:40px;right:40px}
+.tf_content{top:250px;left:50px}