Index: trunk/language/bg_BG/admin.lang.php
===================================================================
--- trunk/language/bg_BG/admin.lang.php	(revision 19458)
+++ trunk/language/bg_BG/admin.lang.php	(revision 19565)
@@ -688,3 +688,43 @@
 $lang['Error when sending email to %s [%s].'] = 'Грешка при изпращане на електронна поща %s [%s].';
 $lang['Errors caption'] = 'Грешки легенди';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Този албум съдържа%d снимки, добавен между%sand%s.';
+$lang['There is no other language available.'] = 'Няма друг език.';
+$lang['There is no other plugin available.'] = 'Няма друг плъгин.';
+$lang['There is no other theme available.'] = 'TherНяма друга тема.';
+$lang['The name of an album must not be empty'] = 'Имената на албумите не трябва да са празни';
+$lang['Representative'] = 'Албум малки снимки';
+$lang['Representation of albums'] = 'Албум малки снимки';
+$lang['Representant'] = 'Албум Малки снимки';
+$lang['Please select at least two groups'] = 'Моля,селектирайте последните две групи';
+$lang['Portrait'] = 'Портрет';
+$lang['Other private albums'] = 'Други частни албуми';
+$lang['Panorama'] = 'Панорама';
+$lang['Manage the members'] = 'Управление на регистрираните потребители';
+$lang['Manage tags'] = 'Управление на тагавете';
+$lang['Manage photos'] = 'Управление на снимките';
+$lang['Manage photo ranks'] = 'Управление на рейтинга на снимките';
+$lang['Manage permissions for user "%s"'] = 'Управление правата на потребителите "%s"';
+$lang['Manage permissions for group "%s"'] = 'Управление на правата на групите "%s"';
+$lang['Manage authorizations for selected albums'] = 'Управление на разрешения за избрани албуми';
+$lang['Manage'] = 'Управление';
+$lang['Make this theme available to users'] = 'Направи тази тема достъпна за потребителите';
+$lang['Make this language available to users'] = 'Направи този език достъпен за потребителите';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Включване на данни от историята (Внимание:паметта на сървъра,може да бъде надвишена)';
+$lang['Last send'] = 'Последно изпратено';
+$lang['Mail sent to %s [%s].'] = 'Емейла е изпратен към %s [%s].';
+$lang['Maintenance'] = 'Поддръжка';
+$lang['Include display of recent photos grouped by dates'] = '
+Включва показване на последните снимки, групирани по дати';
+$lang['Information data registered in database'] = 'Информацията е записана в базата данни';
+$lang['Last hit'] = 'Последни посещения';
+$lang['Last import'] = 'Последно внесено';
+$lang['Last revisions'] = 'Последно посещение';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Тази тема не може да бъде изтрита, защото други теми зависят от нея:% S';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Невъзможно е да деактивирате тази тема, трябва има най-малко една тема.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Невъзможно е да деактивирате този език, трябва има най-малко един език.';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Невъзможно е да деактивирате този език,преди това изберете език по подразбиране.';
+$lang['Impossible automatic correction'] = 'Автоматичната корекция е невъзможна';
+$lang['Hit'] = 'Показвания';
+$lang['Group management'] = 'Управление на групите';
+$lang['Grant selected users'] = 'Избрани потребители';
 ?>