Index: /extensions/lmt/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/lmt/language/hu_HU/plugin.lang.php	(revision 19650)
+++ /extensions/lmt/language/hu_HU/plugin.lang.php	(revision 19650)
@@ -0,0 +1,134 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['lmt_caddie_not_updated'] = 'Kosár nem került frissítésre';
+$lang['lmt_caddie_updated'] = 'Kosár frissítve';
+$lang['lmt_bydefault'] = 'Alapértelmezett licenc alkalmazása';
+$lang['lmt_category'] = 'Kategória';
+$lang['lmt_clear_caddie_ko'] = 'Kosár nem lett ürítve';
+$lang['lmt_clear_caddie_ok'] = 'Kosár kiürítve';
+$lang['lmt_lbl_cc-cright'] = 'Szerzői jog';
+$lang['lmt_lbl_cc_s-cc0'] = 'Creative Commons 0';
+$lang['lmt_six_licences'] = 'A 6 licenc';
+$lang['lmt_title'] = 'Licenc kezelés';
+$lang['lmt_way_--'] = 'Nevezd meg';
+$lang['lmt_way_nc'] = 'Ne add el';
+$lang['lmt_way_nd'] = 'Ne változtasd';
+$lang['lmt_way_sa'] = 'Így add tovább';
+$lang['lmt_select_all'] = 'Összes';
+$lang['lmt_select_invert'] = 'Kiválasztás megfordítása';
+$lang['lmt_select_none'] = 'Egyik sem';
+$lang['lmt_warning_config'] = 'Lábléc szöveg kezelés';
+$lang['lmt_whatisit'] = 'Mi a <i>Creative Commons?</i>';
+$lang['lmt_yesno_n'] = 'Nem';
+$lang['lmt_yesno_y'] = 'Igen';
+$lang['lmt_save_config'] = 'Beállítások mentve';
+$lang['lmt_search'] = 'Keres';
+$lang['lmt_nofilter'] = 'Összes licenc';
+$lang['lmt_ok'] = 'Ok';
+$lang['lmt_redirect_config'] = 'Átirányítás';
+$lang['lmt_redirect_urls'] = 'Átirányítás URL-je';
+$lang['lmt_nav_prev'] = 'Előző';
+$lang['lmt_nb_author_one'] = '1 szerző a listán';
+$lang['lmt_nb_author_zero'] = 'Nincs szerző a listán';
+$lang['lmt_nb_authors'] = 'szerző a listán';
+$lang['lmt_no_author'] = '&lt;Nincs szerző&gt;';
+$lang['lmt_lst_nb_photos'] = 'képek';
+$lang['lmt_manageaut'] = 'Szerzők kezelése';
+$lang['lmt_modify'] = 'Javít';
+$lang['lmt_name'] = 'Név';
+$lang['lmt_nav_first'] = 'Első';
+$lang['lmt_nav_last'] = 'Utolsó';
+$lang['lmt_nav_next'] = 'Következő';
+$lang['lmt_licence'] = 'Licenc';
+$lang['lmt_licence_config'] = 'Licenc kezelés';
+$lang['lmt_licence_to_apply'] = 'Licenc kiválasztása';
+$lang['lmt_licence_type'] = 'Licenc típusa';
+$lang['lmt_lst_apply_filter'] = 'Szűrő';
+$lang['lmt_manage'] = 'Hozzárendelés kezelése';
+$lang['lmt_lbl_cc_s-by-sa'] = 'Creative Commons BY-SA';
+$lang['lmt_lbl_cc_s-cright'] = '© Copyright';
+$lang['lmt_lbl_cc_s-default'] = ' - ';
+$lang['lmt_lbl_under-by'] = 'Licenc alatt';
+$lang['lmt_lbl_under-by-nc'] = 'Licenc alatt';
+$lang['lmt_lbl_under-by-nc-nd'] = 'Licenc alatt';
+$lang['lmt_lbl_under-by-nc-sa'] = 'Licenc alatt';
+$lang['lmt_lbl_under-by-nd'] = 'Licenc alatt';
+$lang['lmt_lbl_under-by-sa'] = 'Licenc alatt';
+$lang['lmt_lbl_under-cc0'] = 'Licenc alatt';
+$lang['lmt_lbl_under-cleft'] = 'Licenc alatt';
+$lang['lmt_icon_80x15'] = '80x15 ikon';
+$lang['lmt_icon_88x31'] = '88x31 ikon';
+$lang['lmt_icon_text'] = 'Szöveg';
+$lang['lmt_image'] = 'Kép';
+$lang['lmt_lbl_cc-by'] = 'Nevezd meg';
+$lang['lmt_lbl_cc-by-nc'] = 'Nevezd meg, Ne add el';
+$lang['lmt_lbl_cc-by-nc-nd'] = 'Nevezd meg, Ne add el, Ne változtasd';
+$lang['lmt_lbl_cc-by-nc-sa'] = 'Nevezd meg, Ne add el, Így add tovább';
+$lang['lmt_lbl_cc-by-nd'] = 'Nevezd meg, Ne változtasd';
+$lang['lmt_lbl_cc-by-sa'] = 'Nevezd meg, Így add tovább';
+$lang['lmt_lbl_cc-default'] = 'Alapértelmezett licenc';
+$lang['lmt_lbl_cc_s-by'] = 'Creative Commons BY';
+$lang['lmt_lbl_cc_s-by-nc'] = 'Creative Commons BY-NC';
+$lang['lmt_lbl_cc_s-by-nc-nd'] = 'Creative Commons BY-NC-ND';
+$lang['lmt_lbl_cc_s-by-nc-sa'] = 'Creative Commons BY-NC-SA';
+$lang['lmt_lbl_cc_s-by-nd'] = 'Creative Commons BY-ND';
+$lang['lmt_config'] = 'Beállítások';
+$lang['lmt_delete'] = 'Törlés';
+$lang['lmt_display_config'] = 'Megjelenítés beállításai';
+$lang['lmt_do_save'] = 'Beállítások mentése';
+$lang['lmt_dontapply_do_clear_selected'] = 'Kijelölt elemek törlése a kosárból a licenc alkalmazása nélkül';
+$lang['lmt_general_config'] = 'Általános beállítások';
+$lang['lmt_help'] = 'Súgó';
+$lang['lmt_choose_select'] = '&lt;Kiválasztás&gt;';
+$lang['lmt_cfg_list_maxheight'] = 'Lista maximális magassága';
+$lang['lmt_cfg_list_maxitems'] = 'Megjelenített elemek maximális száma';
+$lang['lmt_cfg_warning_link'] = 'Átirányítás aktiválása';
+$lang['lmt_cfg_warning_texts'] = 'Lábléc szöveg';
+$lang['lmt_cc-all'] = 'Összes licenc';
+$lang['lmt_cc_url'] = 'http://creativecommons.org/international/';
+$lang['lmt_cfg_licence_activated'] = 'Licenc kezelés aktiválása';
+$lang['lmt_cfg_licence_default'] = 'Alapértelmezett licenc kiválasztása';
+$lang['lmt_cfg_licence_default_author'] = 'Alapértelmezett licenchez szerző kiválasztása';
+$lang['lmt_author_title'] = 'Szerzők listája';
+$lang['lmt_author_txt1'] = 'Szöveg 1';
+$lang['lmt_author_txt2'] = 'Szöveg 2';
+$lang['lmt_authoradd_title'] = 'Szerző hozzáadása';
+$lang['lmt_authormodify_title'] = 'Szerző módosítása';
+$lang['lmt_caddie_items'] = 'Kosár elemei';
+$lang['lmt_cancel'] = 'Mégse';
+$lang['lmt_cannot_add_author'] = 'A szerző nem adható hozzá';
+$lang['lmt_cannot_delete_author'] = 'A szerző nem törölhető';
+$lang['lmt_action'] = 'Művelet';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Telepítés előtt telepíteni kell a Grum Plugin Classes %s bővítményt';
+$lang['lmt_add'] = 'Hozzáad';
+$lang['lmt_add_author'] = 'Szerző hozzáadása';
+$lang['lmt_add_licence_ok'] = 'Licenc hozzáadva a kijelölt elemekhez';
+$lang['lmt_apply'] = 'Alkalmaz';
+$lang['lmt_apply_do_clear'] = 'Licenc alkalmazása, kosár ürítése';
+$lang['lmt_apply_do_clear_selected'] = 'Licenc alkalmazása, kosár kijelölt elemeinek törlése';
+$lang['lmt_apply_do_nothing'] = 'Licenc alkalmazása a kosár változatlanul hagyásával';
+$lang['lmt_author'] = 'Szerző';
+$lang['lmt_author_added'] = 'Szerző hozzáadása sikeres';
+$lang['lmt_author_deleted'] = 'Szerző törlése sikeres';
+$lang['lmt_author_modified'] = 'Szerző módosítása sikeres';
+?>