Index: /extensions/Media_Icon/admin/admin_advanced.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_advanced.tpl	(revision 19650)
+++ /extensions/Media_Icon/admin/admin_advanced.tpl	(revision 19651)
@@ -42,4 +42,9 @@
 		cursor: help;
 	}
+	
+	.wrap1 a {
+		position: relative;
+		display: block;
+	}
 </style>
 {/literal}{/html_head}
@@ -74,11 +79,26 @@
 	<fieldset>
 		<legend>{'Result'|@translate}</legend>
-			<span style="float: left;">
-				<a href="#" style="position: absolute; clip: rect(0px, 323px, 200px, 0px);"><span class="media_icon media_icon_pdf_{$media_icon_style}"></span><img class="thumbnail" alt="landscape" src="{$media_icon_admin_path}admin/img/landscape.png" width="323" height="200" /></a>
-			</span>
-			<span style="float: left; margin-left: 333px;">
-				<a href="#" style="position: absolute; clip: rect(0px, 150px, 200px, 0px);"><span class="media_icon media_icon_youtube_{$media_icon_style}"></span><img class="thumbnail" alt="portrait" src="{$media_icon_admin_path}admin/img/portrait.png" width="150" height="200" /></a>
-			</span>
-			<span class="media_icon_clear"></span>
+		<ul class="thumbnails" id="thumbnails">
+			<li>
+				<span class="wrap1">
+					<span class="">
+						<a href="#">
+							<span class="media_icon media_icon_pdf_{$media_icon_style}"></span>
+							<img class="thumbnail" media_icon="xxxxxxxxx.pdf" src="{$media_icon_admin_path}admin/img/landscape.png" alt="landscape" title="landscape">
+						</a>
+					</span>
+				</span>
+			</li>
+			<li>
+				<span class="wrap1">
+					<span class="">
+						<a href="#">
+							<span class="media_icon media_icon_youtube_{$media_icon_style}"></span>
+							<img class="thumbnail" media_icon="youtube" src="{$media_icon_admin_path}admin/img/portrait.png" alt="portrait" title="portrait">
+						</a>
+					</span>
+				</span>
+			</li>
+		</ul>
 	</fieldset>
 </form>
Index: /extensions/Media_Icon/include/index.php
===================================================================
--- /extensions/Media_Icon/include/index.php	(revision 19651)
+++ /extensions/Media_Icon/include/index.php	(revision 19651)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Media_Icon/install/config_default.inc.php
===================================================================
--- /extensions/Media_Icon/install/config_default.inc.php	(revision 19650)
+++ /extensions/Media_Icon/install/config_default.inc.php	(revision 19651)
@@ -7,4 +7,5 @@
 		'foldercolor' => 'Folder color',
 		'folderpicture' => 'Folder picture',
+		'cracked' => 'Cracked',
 	),
 	'style' => 'logo',
Index: /extensions/Media_Icon/install/index.php
===================================================================
--- /extensions/Media_Icon/install/index.php	(revision 19651)
+++ /extensions/Media_Icon/install/index.php	(revision 19651)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Media_Icon/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19650)
+++ /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19651)
@@ -15,4 +15,5 @@
 $lang['Folder color'] = 'Folder color';
 $lang['Folder picture'] = 'Folder picture';
+$lang['Cracked'] = 'Cracked';
 $lang['Types of files you want to add an icon to:'] = 'Types of files you want to add an icon to:';
 $lang['Click on submit to see changes.'] = 'Click on submit to see changes.';
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19650)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19651)
@@ -15,4 +15,5 @@
 $lang['Folder color'] = 'Dossier en couleurs';
 $lang['Folder picture'] = 'Dossier image';
+$lang['Cracked'] = 'Craquelé';
 $lang['Types of files you want to add an icon to:'] = 'Types de fichiers pour lesquels vous voulez ajouter une icône :';
 $lang['Click on submit to see changes.'] = 'Cliquez sur valider pour voir les changements apparaître.';